tesseract (5.5.0-1) unstable; urgency=medium

  * New upstream release
  * update patch - helptext

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 11 Nov 2024 09:46:57 +0000

tesseract (5.3.4-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * No changes; just poking MIPS and RISC-V autobuilders.

 -- Jeff Breidenbach <jab@debian.org>  Sun, 06 Oct 2024 13:41:00 -0700

tesseract (5.3.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * (Closes: #1081970), leptonlib transition

 -- Jeff Breidenbach <jab@debian.org>  Sat, 05 Oct 2024 02:55:57 +0000

tesseract (5.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove B-D on libjpeg-dev, libtiff-dev and git, removed in 5.3.0-2 but
    reintroduced in 5.3.3-1 (Closes: #980991).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 20 Mar 2024 11:45:47 +0500

tesseract (5.3.4-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright:
    -  Updated year
  * Update upstream/metadata:
    -  Unknown field deleted - Homepage

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Jan 2024 20:00:18 +0000

tesseract (5.3.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/control:
    -  Drop build dependency on dh-autoreconf
  * Update patch - disable_NEON
  * Update debian/copyright:
    -  Updated year
  * Bump debhelper version to 12

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 29 Nov 2023 14:36:56 +0300

tesseract (5.3.0-2) unstable; urgency=medium

  * Bump debhelper version to 11
  * Update patch - disable_NEON
  * Reduce Build-Depends: (Closes: #980991)
    - Drop unused libjpeg-dev and libtiff-dev dependencies. tesseract does not
      use these directly. It only uses them via leptonica.
    - Drop dependency on git. The source does not include git history.
  * Update debian/control:
    -  Drop the Vcs-* fields
  * Update debian/rules:
    - Drop --parallel because this is included in the new debhelper level

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 11 Jan 2023 23:20:26 +0300

tesseract (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: main
  * Commit: 080da83cc51c4ef8b324a7e03146fe0bd7e0944b
  * Date: 1671717477

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 23 Dec 2022 19:43:44 +0000

tesseract (5.1.0-2) unstable; urgency=medium

  * Update debian/control:
    - add dependency 'libcurl4-dev | libcurl4-gnutls-dev' for
      libtesseract-dev (closes: #1012242)
    - update dependency for tesseract-ocr
    - update 'breaks' for libtesseract5
  * disable NEON instructions for architecture armel (closes: #1012254)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 02 Jun 2022 22:56:14 +0300

tesseract (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add build dependency on libcurl4-openssl-dev
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: main
  * Commit: c2a3efe2824e1c8a0810e82a43406ba8e01527c4
  * Date: 1646151945

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 01 Mar 2022 20:08:51 +0300

tesseract (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * disable patch - no-march-native
  * update patch - helptext
  * Bump Standards-Version to 4.5.1
  * debian/control:
    - Included Rules-Requires-Root: no
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: f38e7a7ba850b668d4505dd4c712238d7ec63ca8
  * Date: 1636966228
  * git changelog:
  *  f38e7a7b - Create new release 4.1.3
  *  28ad3e8b - Fix broken autoconf build
  *  4a5760dd - Update sw.cpp
  *  d358270d - Create new release 4.1.2
  *  4b2b7219 - Don't use compiler flags -march=native -mtune=native in
    autoconf builds
  *  9dabb7ad - Fix automake warning because of redefined
    DEFAULT_INCLUDES
  *  0d479d52 - Make automake builds less noisy by default
  *  c1a56cce - Update ChangeLog and prepare new release 4.1.2
  *  9b688e6e - Update documentation
  *  15aee49d - Abort LSTM training with integer model (fixes issue
    #1573)
  *  ffb71e57 - Extend URI support for Tesseract with libcurl
  *  b2eb72b6 - Don't output empty ALTO sourceImageInformation (issue
    #2700)
  *  4e362bba - Make automake builds less noisy by default
  *  77108707 - Fix broken build for unittest
  *  dbc79b09 - Use more compiler and linker flags from pkg-config
  *  6dc4b184 - Fix autoconf build for latest MacOS (Intel and M1)
  *  412d8a98 - Adding SVMutex and SVSemaphore destructors to avoid
    system objects leaks
  *  3cedf198 - Merge pull request #2971 from poke1024/rowattr
  *  97079fa3 - Allow line images with larger width (depending on
    height)
  *  6c29f9c4 - Allow line images with larger width
  *  3e74c1eb - Add RowAttributes getter to PageIterator
  *  bf2129d0 - Update appveyor.yml
  *  088995df - Fix 3.0x version info

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 16 Nov 2021 19:46:19 +0000

tesseract (4.1.1-2.1) unstable; urgency=medium

  [ Peter Green ]
  * Edit configure.ac to disable -march=native (Closes: #949638)
  * Edit control/rules to enable autoreconf.

 -- Paul Gevers <elbrus@debian.org>  Thu, 04 Feb 2021 21:49:33 +0100

tesseract (4.1.1-2) unstable; urgency=medium

  * Update debian/control:
    - add build dependency from autoconf-archive (closes: #949119)
    - add dependency libarchive-dev for libtesseract-dev (closes: #949140)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jan 2020 08:48:59 +0300

tesseract (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control:
    - delete build dependency from autoconf-archive
    - add build dependency on libarchive-dev
    - update dependency libtesseract4 for tesseract-ocr (closes: #942760)
  * Bump Standards-Version to 4.4.1
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: f4ef2f2050f4c25b28bdbf0063b7d2eb30f41cf7
  * Date: 1577374826
  * git changelog:
  *  f4ef2f20 - 4.1.1 Release
  *  01fb4c7f - BlockPolygon: clip to image rectangle
  *  36664031 - BlockPolygon: unrotate from internal to image
    coordinates
  *  0ab9839a - Use /W4 instead of /Wall for MSVC (fix issue #2816)
  *  6343f0ab - Added ComposedBlock level to Alto output
  *  42ec3137 - ignore qtcreator help files
  *  88174fea - backport changes pagesegmode_test.cc from master
  *  7389a275 - Provide more details for successful running of
    unittests.
  *  9d967cb1 - unittest: Fix build and simplify build rules
  *  69cbda61 - unittest: Initialize non-static class members in
    RecodeBeamTest (CID 1402765)
  *  85477214 - unittest: Fix two issues reported by Coverity Scan (CID
    1402761, 1402755)
  *  bdad0686 - unittest: Add missing precision specifiers (CID 1402752)
  *  95733433 - unittest: Don't build tatweel_test when TensorFlow is
    disabled
  *  2b04ff76 - unittest: Add missing libraries to fix linker errors
  *  16b1e5d2 - Update test submodule and fix pagesegmode_test
  *  50a41b63 - Update test submodule and fix tatweel_test
  *  cb762753 - Update sw.cpp
  *  cafdc7fa - fix sw build
  *  0c599556 - fix ABI compatibility (move training files back to 4.1.0
    location)
  *  def1dc46 - fix training build
  *  b559c330 - cmake: fix typo
  *  21c83b80 - Use "C" locale for printing parameters
  *  6d8ef9a1 - fix using bilevel tiff in pdf output
  *  eaf1f696 - Fix issue #2748
  *  1ce3cd28 - Use BRT_UNKNOWN instead of BRT_NOISE to initialize
    ColPartition::blob_type_
  *  d20db0f2 - Add missing libraries in configuration for pkg-config
  *  41ec6271 - Exposed the text2image option --ptsize to tesstrain.sh.
    Text2image has the option --ptsize which defaults to 12.  This
    option is not exposed through tesstrain.sh; thus, you cannot use
    tesstrain.sh to explore training with different font sizes.  I made
    a small modification to expose the --ptsize option to tesstrain.sh.
    It defaults to 12 if not specified.
  *  975c626d - Fail if no valid lstmf file was written (fix issue
    #2741)
  *  185d237c - Don't create an empty lstmf file
  *  2f011aec - Use pre-calculated lookup tables for all C++ compilers
  *  13237d85 - Fix build for Intel Compiler (issue #2736)
  *  87291fff - Improve ABI compatibility with version 4.1.0
  *  960583ca - partly Revert "Remove global array kPolyBlockNames from
    Tesseract library" to improve backwards API compatibility
  *  c423ad42 - partly Revert "Add more initial values for class
    Classify from constructor to header file" to improve backwards API
    compatibility
  *  b36cd639 - Revert "Delete copy constructor and assignment operator
    for TessBaseAPI (fix issue #874)"
  *  d423fb16 - add cppan depreciate info
  *  979b17f2 - fix sw build (add missing part from Move LSTMTrainer
    from libtesseract to libtesseract_training)
  *  b8089979 - fix cmake training build
  *  a2444bc5 - fix string conversion in lstmtrainer
  *  cca107d5 - fix autotools build of tesseract library
  *  2b4212c2 - add untracked src/training/lstmtrainer.h
  *  0cbd8297 - 4.1.1 Release Candidate 1
  *  dadf1329 - cmake: fix clan openmp build on windows
  *  710fa82f - fix inverting (Bilevel BW png) in pdf; fixes # 2059
  *  f27ca3e3 - Add pageseg_apply_music_mask option to allow disabling
    the music mask
  *  6a671e39 - remove legacy parameter disable_character_fragments from
    lstm.train
  *  cdd2a887 - src/ccutil/bits16.h remove warnings (#2726)
  *  23669398 - Remove warning C4312
  *  9295381d - Subject: training: show error description for
    open/delete file
  *  4bbfabaa - Delete copy constructor and assignment operator for
    TessBaseAPI (fix issue #874)
  *  e3441f0c - Copy resolution of source image (fix issue #1702)
  *  090d3c4b - Fix typo in README.md (found by codespell)
  *  7488c85e - fix memory leak at PangoFontInfo::CanRenderString
  *  080f83a1 - Change from HTTP to HTTPS
  *  4a5ec186 - test for synthesized font faces.
  *  f9d1bda7 - cmake: add minimum required version for pango and icu
    based on autotools
  *  99645e3c - text2image: show pango version
  *  077616fd - quadlsq: Fix warnings from LGTM
  *  02d916a6 - Use "C" locale for PDF output
  *  efc2b760 - Use "C" locale for ALTO output
  *  83af58c2 - Fix build error (undefined local variable)
  *  6a8be20b - Remove unimplemented +/- for parameter files
  *  c7e9f31b - do not exit if not existing parameter is used. fixes
    #1334
  *  03a05869 - Report when tesseract legacy engine not present. (fix
    issue #2053)
  *  17828fc7 - Fix isolated build.
  *  9c52eb0c - Add new parameter "document_title" to set the title in
    OCR output files
  *  e43eb910 - sw.cpp: Sync list of public headers with Autotools build
  *  fc45fc51 - CMake: Sync list of public headers with Autotools build
  *  a5670421 - speed optimisation - add the option to disable automatic
    inverting of line images
  *  ebff4dae - Fix comment which referred to unused Tesseract parameter
  *  b244bd1c - Removed unused parameters
  *  58122ea3 - Don't create OCR result files when training data is
    created
  *  3dfd7272 - Simplify configure.ac
  *  ca172592 - Add support for image or image list by URL
  *  190536bb - Modernize code for LIST (fix some -Wold-style-cast
    warnings)
  *  49659dbc - mfoutline: Modernize code
  *  4f815797 - intmatcher: Avoid conversion from double to float and
    vice versa
  *  8602568b - Remove unneeded compare statement (-Wtautological-
    unsigned-enum-zero-compare)
  *  58557299 - cmake: Set default build type to Release
  *  b913bedf - cmake: AUTO_OPTIMIZE: enable to turn-off auto optimize
    macros
  *  be68642e - cmake: arch files: fix duplicate build and follow
    autotools logic
  *  0af21dcd - Re-add strngs.h to public API
  *  9fb7aa69 - Add missing linker flags for TensorFlow
  *  ad97b521 - cmake: auto optimize macros must be run before setting
    CMAKE_CXX_FLAGS*
  *  f8d95bb4 - cmake: fix build type flags
  *  51a8c08b - ignore #pragma optimize for clang-cl
  *  3d5b1b62 - cmake: remove moved (training) header from installation
  *  c1de84e4 - Update sw build.
  *  ec212754 - Update sw build.
  *  4c3c3857 - Remove vecfuncs.cpp and vecfunc.h
  *  8993319c - Disable legacy build: Disable bitvec.h
  *  ebe136c0 - Remove STRING from the public Tesseract API
  *  601ee342 - Add more initial values for class Classify from
    constructor to header file
  *  224f1c01 - Disable legacy build: Disable more unneeded code
  *  2d4b3554 - Fix CID 1405673 part 2 (Uninitialized members)
  *  dd8bfa0d - fix langdata (user words/patterns) file suffixes for
    LSTMs:
  *  357177c1 - Disabled legacy build: Disable more unneeded code
  *  a3e1463e - Fix CID 1405673 (Uninitialized members)
  *  44a22608 - Fix CID 1164624 (Uninitialized members)
  *  4c987baa - Fix comment for Textord::make_prop_words
  *  deae22ac - Re-order initialisation in constructor of class
    ViterbiStateEntry
  *  45bd039e - Move initial values for class ColPartition from
    constructor to header file
  *  24bc9d49 - Re-order initialisation in constructors of classes Dawg
    and DawgPosition
  *  f6cc2beb - Fix CID 1164666 (Uninitialized scalar field)
  *  20b2da68 - Fix CID 1164664 (Uninitialized scalar field)
  *  5138b3e5 - Fix CID 1375402 (Uninitialized pointer field)
  *  b2ab64ef - simd: Check OSXSAVE bit before calling _xgetbv
  *  96e60a52 - Remove UnicharAmbigs for builds without legacy code
  *  0eacee03 - Disabled legacy engine build: Disable code related to
    ambigs.
  *  80c36095 - Fix 1164647 (Uninitialized members)
  *  567fc173 - Fix CID 1366450 (Uninitialized scalar field) for class
    RecodeBeamSearch
  *  b1965ad0 - Fix CID 1164662 (Uninitialized scalar field)
  *  73de2d99 - Fix CID 1164659 (Uninitialized scalar field)
  *  90936b98 - Fix CID 1164657 (Uninitialized scalar field)
  *  f9dd65a2 - Fix CID 1164649 (Uninitialized scalar field)
  *  77bdad4b - Fix CID 1164648 (Uninitialized scalar field)
  *  f4b4e476 - Fix CID 1164644 (Uninitialized scalar field)
  *  54d84989 - Fix CID 1164643 (Uninitialized scalar field)
  *  7c749472 - Fix CID 1164638 (Uninitialized scalar field)
  *  60f3b89a - Fix CID 1164636 (Uninitialized pointer field)
  *  33e6d049 - Fix CID 1164634, CID 1164635 (Uninitialized pointer
    field)
  *  ffd6f966 - Fix CID 1164633 (Uninitialized pointer field)
  *  09abbc33 - Fix CID 1164628 ff (Uninitialized pointer field) and
    optimize class ParamContent
  *  a1c88417 - Remove unused FeatureEnabled from FEATURE_DEFS_STRUCT
  *  b38c6d6c - Fix CID 1164622 (Uninitialized pointer field)
  *  b5655827 - Fix CID 1164620 (Uninitialized pointer field)
  *  33ee0694 - Fix CID 1386105 (Logically dead code)
  *  d6401f92 - Fix CID 1402767 (Invalid type in argument to printf
    format specifier)
  *  c09eea18 - Remove unused italic, bold in class BLOCK_RES and class
    WORD_RES
  *  3a88b99c - Fix CID 1340276 (Uninitialized scalar field) for class
    BLOB_CHOICE
  *  3f86fc8f - Fix CID 1400760 (Uninitialized scalar field) for class
    BLOCK
  *  0a5443c9 - Fix two issues reported by Coverity Scan and modernize
    class WERD_RES
  *  f86f839a - Optimize classes Trie, Dawg and DawgPosition
  *  e6728ff0 - Optimize classes CLIST_ITERATOR, ELIST_ITERATOR,
    ELIST2_ITERATOR
  *  76010347 - Optimize class Classify
  *  39788fc7 - Optimize class TFile
  *  fbb9db83 - Optimize class ColPartition
  *  e77f9573 - Optimize struct LMConsistencyInfo
  *  c48315ec - Optimize class ViterbiStateEntry
  *  69c48297 - Modernize and optimize BLOBNBOX and remove
    BLOBNBOX::ConstructionInit
  *  b8c516de - tfnetwork: Fix info text
  *  591110ec - Re-order commands in autogen.sh
  *  8615e6e3 - RecodedCharIDHash: Fix runtime errors detected by
    UndefinedBehaviorSanitizer
  *  e4389be9 - OSResults: Fix runtime errors detected by
    UndefinedBehaviorSanitizer
  *  3951f840 - BitVector: Fix runtime errors detected by
    UndefinedBehaviorSanitizer
  *  e11e50fd - ccutil: Remove old comments
  *  e142b5ec - Use type bool for boolean values in class BLOBNBOX
  *  df3612d3 - Fix warnings from LGTM
  *  84083138 - fuzzer-api: Use optional macro LIB_FUZZING_ENGINE for
    build
  *  0a9ef388 - Add missing TensorFlow libraries for fuzzer-api
  *  e892cc27 - Fix crash when function lookup tables are accessed with
    NaN
  *  863a5b42 - capi: Add missing PSM_RAW_LINE to TessPageSegMode
  *  f15e2cc1 - fix typo
  *  7e980df0 - simd: Check whether the OS supports FMA, AVX, ...
  *  e413b931 - classify/Makefile: Fix inconsistent style
  *  d8f69527 - fix #2616: allow building of training data
  *  55b4099a - Export some classify vars.
  *  0d8be252 - Remove more code for builds with disabled legacy engine
  *  b52c466a - [sw] Update build for commit
    e84cb24def47cb08d9614110fbc1d5d57934cf98
  *  0bce4ebb - [sw] Try to fix build.
  *  c9ecab88 - Move source files which are used for training only to
    src/training
  *  b80acd81 - OpenCL: Add static attribute for kernel_src
  *  14665dfa - Remove unused functions create_edges_window,
    draw_raw_edge
  *  91f0de94 - Remove unused function truncate_path and related files
  *  c3d4742a - Remove global array kPolyBlockNames from Tesseract
    library
  *  25c411c8 - [sw] Update build script.
  *  92b46001 - cmake: Don't link pthread on Windows
  *  5989f128 - Fix linker error in Appveyor CI
  *  5d226547 - universalambigs: Add hack to fix builds with Microsoft
    compiler
  *  26feea5e - [sw] Use the latest pango again.
  *  9dd392d8 - move fileio.cpp and fileio.h to training (this fix
    android build)
  *  ea34763f - universalambigs: Replace octal characters by UTF-8
    string
  *  a4732834 - Clean ambigs.h
  *  8ebcea29 - Use pangocairo-1.43 for the moment. Remove private pango
    header.
  *  49ce908e - Try to fix #2599
  *  f522b51b - [sw] Install tess headers.
  *  7fcad192 - cmake: Add missing pthread library
  *  d6a1e2dd - cmake: Add missing include directory for LibArchive
  *  a2dd6bf3 - [appveyor] Disable VS2019 image because it's too slow.
  *  5541a3d5 - Update appveyor.yml
  *  b21779d6 - Improve formatting of hOCR output with character boxes
  *  d3386817 - Use auto data type for results of std::ftell
  *  47c8710a - Remove unused filesize_ from class InputBuffer
  *  e34acfeb - Simplify shell code (fixes warning from Codacy)
  *  8baf8171 - Use long instead of off_t for result from ftell
  *  055f32d4 - Fix training script for macOS (issue #2578)
  *  a469224e - Fix some compiler warnings (unused local variables)
  *  5775cf05 - Implemented improved bounding box algorithm
  *  25b1a4b9 - classify: Use fixed size bit vector
  *  c01d230c - Give word's bounds to callback also during second pass
  *  574586a8 - Update appveyor.yml
  *  59659ddc - Remove structures.*
  *  5912204d - [appveyor] Enable artifacts.
  *  4bc94da1 - fix cmake warning.
  *  40b69539 - Remove unused functions reverse16, reverse32
  *  ae6eddcc - Remove non portable sleep by std::this_thread::sleep_for
  *  09837a60 - [appveyor] Print sw version for reference.
  *  5e3772ca - fix #2101
  *  e4936adf - Update appveyor.yml
  *  3cf48957 - [build][sw] Disable FMA dotproduct.
  *  25a6fe7b - arch: Reduce number of include files for dot product
    functions
  *  2e1cd1d4 - Add dot product implementation for Intel FMA (double =
    tessdata_best)
  *  27af9e88 - use Ubuntu Xenial for travis
  *  838b6476 - Give info about expected leptonica dependencies (fix
    #2333)
  *  ba8e870f - Optimize tprintf implementation
  *  75a9926f - FPRow: Add missing initialisation for scalar (CID
    1402754)
  *  cad3433d - Fix format strings for size_t arguments (CID 1402762,
    1402767)
  *  c2839ecf - Fix format string for 64 bit integer (CID 1402986)
  *  595e263c - tfnetwork: Add missing return statement (CID 1402992)
  *  cc1486d2 - [cmake] Hide unnecessary find_package.
  *  3afc185a - Implement CMake+SW build.
  *  5688c26b - Avoid using experimental C++14/17 support in CMake
  *  4b4e1f1e - fix tesstrain.py error
  *  b8014ee1 - fix windows stdout messy code (#2546)
  *  d93346ff - cmake: do not report unused-command-line-argument for
    clan released target

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Jan 2020 19:36:23 +0300

tesseract (4.1.0-2) unstable; urgency=medium

  * New upstream release.
  * disable patch - man.diff
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: 5280bbcade4e2dec5eef439a6e189504c2eadcd9
  * Date: 1562502848
  * git changelog:
  *  5280bbca - 4.1.0 Release
  *  22fb70cb - Fix handling of single pages from multipage TIFF files
    (issue #2537)
  *  08ca7b84 - Fix linker error with disabled legacy engine (issue
    #2532)
  *  48641b07 - Remove outdated build information for Android
  *  e53e1050 - genericvector: Remove redundant declarations
  *  f4698154 - Revert "Replace callback by direct function calls in
    TessBaseAPI::GetComponentImages"
  *  792b39d5 - Revert "Move LSTMTrainer from libtesseract to
    libtesseract_training"
  *  c310fef8 - Fix crash in Tesseract::classify_word_and_language()
    when tessedit_timing_debug is enabled
  *  d8494f32 - Revert "Simplify indirect call of
    LMPainPoints::GeneratePainPoint"
  *  1d5a320d - Revert "Simplify class LSTMTrainer"
  *  10f5bffa - decrease reuired version of cmake to build as 3.6 is
    still in use. Side effect no support for c++17 in CXX_STANDARD
  *  6157b8b5 - update Changelog (main 4.1 changes)
  *  1a205b8b - cmake: Fix build with OpenMP (issue #2462)
  *  3dff32e4 - Fix check for icu 52.1 or newer
  *  4535e460 - Update enum from unicode/uchar.h
  *  4b03d13f - unittest: Fix function QCHECK (issue #2517)
  *  afb36b35 - Add VS2019
  *  20a0c614 - Fix format string for 64 bit integer
  *  daac30e6 - baseapi: Remove old code
  *  1ce4c2f8 - Replace code using _splitpath_s (win32)
  *  1a279d11 - Remove outdated comment
  *  dc2dada0 - Remove dummy code from
    LSTMTrainer::InitTensorFlowNetwork
  *  7b589622 - Simplify unittest/Makefile.am
  *  f44be2e8 - cmake: Build training tools also on Linux and macOS
  *  c967f892 - Add package libpango1.0-dev to Travis configuration
  *  a30d4333 - Move LSTMTrainer from libtesseract to
    libtesseract_training
  *  1a44ce31 - Replace callback by direct function calls in
    TessBaseAPI::GetComponentImages
  *  563a1717 - Simplify class LSTMTrainer
  *  c5525c44 - Remove wrong description for
    GenericVector::set_compare_callback and simplify code
  *  6a0fc4f8 - Simplify indirect call of
    LMPainPoints::GeneratePainPoint
  *  c614907e - tesstrain_utils.sh: remove redundant code
  *  6a39b81d - tesscallback: Remove more unused code
  *  3cdafa0f - 4.1.0 Release candidate 4
  *  d7d05000 - Remove code for embedded build
  *  4d5eb6d3 - Remove old and misguiding build steps on windows.
  *  2f51af0f - ocrfeatures: Remove locally used functions from global
    interface
  *  9491538f - unittest: Add missing Leptonica library for
    textlineprojection_test
  *  9a5f7247 - Replace TessBaseAPI::CatchSignals by a dummy function
  *  cf512d38 - 4.1.0-rc3 => VERSION
  *  71608886 - Revert "Integrated Timesteps per symbol into
    ChoiceIterator"
  *  78ced35a - restore CatchSignals to fix API compatibility
  *  c5105c53 - fix build
  *  4d3455e1 - Integrated Timesteps per symbol into ChoiceIterator
  *  9897bc9c - cmake: backport master changes
  *  5d23dfa5 - create OUTPUT_DIR did not exist; fixes #2497
  *  153b921c - unittest: Catch missing eng.traineddata in baseapi_test
  *  ce82facc - unittest: Fix and enable normstrngs_test
  *  c01b3229 - unittest: Fix and enable textlineprojection_test
  *  bb2ea347 - unittest: Fix and enable scanutils_test
  *  3729b7b3 - Allow saving of box/tiff pairs during base tesseract
    training
  *  dfcdfe56 - Allow saving of box/tiff pairs during base tesseract
    training
  *  706a2330 - Allow saving of box/tiff pairs during base tesseract
    training
  *  35b88262 - unittest: Fix and enable ligature_table_test
  *  15da5c12 - [sw] Remove inexistent include dirs.
  *  5b32be82 - [sw] Exclude missing include dir.
  *  f9da14ec - Update appveyor.yml
  *  b6f9ab66 - Update sw script.
  *  249acaed - cmake: using c++ standard for g++
  *  2f6f77bb - Revert "Do not hardcode c++11 for unix builds"
  *  796129ea - Fix OpenMP builds on Unix
  *  9fcef36b - Do not hardcode c++11 for unix builds
  *  911a9916 - Detect and use C++17 support for CMake builds
  *  8204ca08 - Add dot product implementation using std::inner_product
  *  d33ced19 - Use C++17 compiler if possible
  *  26f41261 - Update documentation for unicharset_extractor
  *  ff45801d - fix packaging appveyor artifacts
  *  6e7dcc12 - Fix crash in PreloadRenderers with nullptr outputbase
  *  b0e0e27a - Fix build for unittests
  *  90b12b3a - scanedg: Add const attributes
  *  fdb3f58c - unittest: Remove unused methods
  *  9b9d4bf0 - Remove EXTERN macro
  *  927d1b8f - Remove unused macros
  *  831a3e61 - configure: Fix cross builds (check for TensorFlow
    header)
  *  337a467d - Fix compiler errors for old gcc
  *  4712a5eb - Remove some unused functions, constants and variables
  *  38f34862 - training: Add missing static attributes
  *  66e56891 - training: Move declarations from cpp files to h file
  *  6dfb049c - featdefs: Add missing include statement
  *  b4a7f51c - Add missing static attributes
  *  7f32cb65 - bits16: Modernize code
  *  d809200b - Do not link librt on OpenBSD
  *  2160ebfd - unicodes: Optimize code by using constexpr and removing
    unused globals
  *  cb6cf802 - featdefs: Optimize code by using constexpr
  *  a4e13782 - Fix broken build for Leptonica < 1.77
  *  9e23dc28 - Remove classify/cutoffs.h
  *  8b875c00 - fix '--enable-visibility' build
  *  516ada66 - cmake: respect -DTESSDATA_PREFIX=/path (on linux)
  *  227452f8 - Replace Tensorflow by TensorFlow
  *  34311b36 - Fix linking of unittest with Tensorflow
  *  6c68f084 - Implement check for Tensorflow header file
  *  bed08909 - Remove "third_party/" in comments and update path names
  *  b7537e94 - Support build with Tensorflow
  *  39c80095 - cmake: fix tiff linking to executable if tiffio.h is
    found
  *  e27a07e0 - fix missing tiff format
  *  0d824a60 - lstmtrainer: Set constant kLearningRateDecay at compile
    time
  *  c2e45cff - Update normstrngs_test.cc
  *  cd49b61c - Fix Thai valid text and add Thai illegal sequences
  *  40216e5a - Fix bug in max_max_dist
  *  a324c885 - Fix LGTM and revert bugfix for later PR
  *  5f084891 - Fix syntax error
  *  26f05b11 - Remove SavePixForCrash and related code
  *  7b4b3301 - tprintf: Make code reentrant and use less memory
  *  ecd0384a - configure: Use a hopefully more robust way to fix
    AX_CHECK_COMPILE_FLAG
  *  19274eeb - Some LGTM fixes and potential bugfixes
  *  0190f398 - Remove local definition of M_PI
  *  0c70c2a6 - configure: Fix for clang++-8 and newer
  *  2b75680e - Fix compiler warnings
  *  caee962d - Fix text2image compilation on C++17 compilers
  *  fe06d3a0 - Update VERSION
  *  3452c8eb - Fix out-of-bounds writes in Classify::ReadNewCutoffs
  *  4763f24c - stringrenderer_test: Get system locale only once
  *  26c29494 - Update abseil submodule to HEAD
  *  d81f6a07 - oldlist: Fix comments
  *  d0a43101 - Remove space at line endings
  *  403cf31e - Replace CR-LF line endings by LF
  *  28940481 - Remove space at line endings
  *  c0c53c78 - Add different classes to hocr output depending on
    BlockType
  *  8887cad1 - Run more unittests with the user's locale
  *  ce6b0c02 - Fix more build error for compilation without legacy
    engine
  *  80ba28ef - Fix linker error for baseapi_test when building without
    legacy engine
  *  96f6fc28 - Remove assertions for unsupported locale settings
  *  fb926243 - Fix UNICHARSET::save_to_string for locale de_DE.UTF-8
  *  728f5d93 - Fix baseapi_test with locale de_DE.UTF-8
  *  c2444e75 - Fix apiexample_test with locale de_DE.UTF-8
  *  ab695f88 - configure: Fix for latest developer tools on macOS
  *  bf744711 - Fix Doxygen comments for void functions
  *  9bc576fa - normmatch: Remove unused private function
  *  6ed503bf - Update sw build.
  *  25f2e0cb - Replace sscanf by std::istringstream
  *  8cc75113 - Fix reading of parameter from traineddata normproto
    component
  *  73a08678 - Fix Doxygen comment
  *  70ffe339 - Fix cast from pointer to integer type
  *  a14ae450 - cmake: uninstall target
  *  ee024e02 - cmake: fix build without pkg-config (issue #2424)
  *  5320320b - autotools: remove list of traineddata files
  *  8ef392cb - Fix CPPFLAGS configuration for icu4c and libarchive
    missing from configure.ac
  *  57bf215d - ScrollView: remove custom implementation of GetAddrInfo
  *  9cd60b2b - remove unused include
  *  98be949f - tesscallback: Remove more unused code
  *  3ae40694 - tesscallback: Remove unused code
  *  c4bb4b93 - correct tessdata comment in baseapi.h
  *  78ed5ef8 - universalambigs: Add missing include file
  *  a8c8a961 - commandlineflags: Replace strtod by std::stringstream
  *  8831cbfe - paramsd: Replace strtod by std::stringstream
  *  231da006 - clusttool: Replace strtof by std::stringstream
  *  97f6711c - clusttool: Remove unused code and some global functions
  *  1d14d159 - Fix some typos (most found and fixed by codespell)
  *  ef33a06e - fix crash in case of missing PNG support in Leptonica
    see #2333
  *  b2fc3eba - fix documentation about datapath: ending "/" is not
    relevant
  *  52205ab4 - cmake: fix linux build
  *  f70859f1 - fix #1900: intraword spacing for slightly better pdf
    copy-paste performance
  *  2746566e - Print info when uzn file is used.
  *  d5f23a61 - cmake: fixes #2337 Android cross-build
  *  0d132e40 - fix spelling
  *  9132bc73 - remove unused variable
  *  c1f70e27 - Fix build for Windows
  *  cd2ff227 - cmake: remove host.h from installation, remove
    definition of NOMINMAX and report used C++ standard
  *  9587e170 - svutil.cpp: fix windows build
  *  315bd3a9 - Only include windows.h using host.h
  *  668f59f3 - Clean macros in platform.h
  *  b7e31221 - svutil: Clean include file
  *  c7744710 - Remove host.h from Tesseract API
  *  57604ec5 - Fix Windows build
  *  53dd6ca0 - Fix typo in description
  *  6aa887d6 - fix the coordinates for EOL tab
  *  08b6dc50 - remove unused includes
  *  8ee5c865 - MSVS support inttypes.h from VS 2015
  *  7fc245c3 - cmake: show configuration summary
  *  b9f7bb2b - cmake: add detection of AVX, AVX2, SSE41
  *  29ab1a42 - fix finding tiffio.h cmake&clang on windows
  *  30078d8a - fix missing EOL
  *  66e35c17 - Don't include windows.h from platform.h
  *  86b62eeb - extend ignore list
  *  89d09cf5 - Remove unneeded include statements for pgedit.h
  *  1d6e57ad - pgedit: Remove unused global functions
  *  afa2fff5 - pdfrenderer: Replace snprintf by std::stringstream
  *  09cb0bcc - baseapi: Use std::stringstream to format float values
  *  1eea24ea - Remove strtofloat
  *  38f68aa6 - Replace sscanf by std::stringstream
  *  9477eeab - unittest: Add missing unittests to Makefile.am as
    comments
  *  918d4664 - unittest: Fix and enable params_model_test
  *  0df3aa7d - Revert "fix C-API compatibility with 4.0.0 version"
  *  5b16530f - ETEXT_DESC: fix backwards compatibility with 4.0.0 API
  *  224b1f6d - fix C-API compatibility with 4.0.0 version
  *  86b90200 - Add some of the lstm_choice_mode functionality to
    restore compatibility with the 4.0 Version
  *  fa948d64 - Removed lstm_choice_mode for backwards compatibility in
    4.1
  *  d2816f33 - add removed function to fix API compatibility
  *  b1078dd6 - Poke sw build on appveyor.
  *  a1ffcd36 - Use std::stringstream for add_str_double
  *  aa64a63f - Use std::stringstream to generate PDF output
  *  78a957b9 - Remove spaces a line endings
  *  12ca2513 - Revert "e" flag for fopen
  *  e32b3360 - Fix for MSVC
  *  332a1a98 - Pass ssse/avx flags to all files to pacify VS ide.
  *  f88a7f28 - fontinfo: Fix wrong delete
  *  3dfe1b88 - classify: Modernize function UniformDensity
  *  72c87414 - Modernize code by replacing C type casts
  *  95a15a7a - fix cmake&clang build
  *  f80508bc - added link to testing/README.md to dev rules
  *  25a42ea4 - fixed failure report for tesstrain commands:
  *  56427b89 - added minimal description to dev rules
  *  d5584e79 - fixed failure report for tesstrain commands:
  *  d35a6f2d - Modernize code (clang-tidy check modernize-deprecated-
    headers)
  *  20d5eedd - Modernize code (clang-tidy check modernize-loop-convert)
  *  fab9a549 - Remove unneeded 'SUBDIRS=' from 3 Makefile.am files
  *  66733479 - Change page to line in message
  *  51c35353 - Always display GROUND TRUTH. BEST OCR and ALIGNED TRUTH
    only if different for debug_level -1
  *  84d4cc2e - Display OCR TEXT and GROUND TRUTH only when different
    for debug_level = -1
  *  546014ae - disable-legacy build: Do not include unused headers
  *  98346c2c - Modernize and format code
  *  613c2bf6 - Change pages to lines in message
  *  e76d81a0 - Include src/training when exporting compile commands
    with cmake
  *  e262d71a - Modify formatting rules
  *  3e7144e7 - Update appveyor.yml
  *  af7cc1ce - Fix windows build.
  *  81fbd878 - Add more missing include statements for Windows build
  *  ab009fae - Remove macro WINDLLNAME
  *  77a5f262 - Remove unused config variable tessedit_module_name
  *  c150b983 - Add missing include statements for Windows build
  *  802f42e8 - Remove BOOL8, TRUE, FALSE from host.h
  *  be96b7b6 - bits16: Format code
  *  146079f3 - api: Replace BOOL8, TRUE, FALSE by bool, true, false and
    modernize code
  *  4e0c726d - ccutil: replace TRUE, FALSE by true, false
  *  da0c14ae - cutil: Replace TRUE, FALSE by true, false
  *  87a97365 - classify: Replace BOOL8, TRUE, FALSE by bool, true,
    false
  *  30ee3afc - textord: Replace TRUE, FALSE by true, false and use bool
    instead of BOOL8
  *  bb52887c - unittest: Replace TRUE, FALSE by true, false
  *  b391ab84 - wordrec: Replace TRUE, FALSE by true, false
  *  cbb5e729 - classify: Use bool and replace TRUE, FALSE
  *  46fa59aa - ccstruct: Replace BOOL8, TRUE, FALSE by bool, true,
    false and modernize code
  *  92b9f9f8 - ccmain: Replace TRUE, FALSE by true, false
  *  7db25e15 - Remove unused config variable tessedit_single_match
  *  ca2947a2 - blobclass: Remove unused macros
  *  f2bd98e6 - PageIterator: Remove useless const
  *  813b7803 - pgedit: Replace BOOL8 by bool
  *  664811a8 - Replace BOOL8, TRUE, FALSE by bool, true, false
  *  51a2c2ea - Format code with clang-format
  *  95ea7787 - capi: Replace FALSE, TRUE and simplify and format code
  *  89ba48b1 - strngs: Modernize and format code
  *  127d0e31 - serialis: Modernize and format code
  *  8b663e76 - helpers: Modernize and format code
  *  5f064027 - python: optimize imports, reformat code
  *  2e9fd69c - use 'import pathlib'; fix "TypeError: argument of type
    'WindowsPath' is not iterable"
  *  a0527b41 - fix LGTM reports for python
  *  1948f0d5 - ocrclass: Modernize and format code
  *  85957e96 - WERD: Don't print space character after "FALSE" at end
    of line
  *  83d4433d - Modernize and format unichar.h
  *  ac0b191f - Modernize and format genericvector.h
  *  36ed0863 - Modernize and format tesscallback.h
  *  f47c7c92 - fix uninitialized variables in wordstrboxrenderer and
    lstmboxrenderer; CID 1399132, 1399134, 1399135, 1399137, 1399140,
    1399141, 1399142
  *  497d1c54 - Update appveyor.yml
  *  5767fe4a - Update appveyor.yml
  *  ea36e94e - fix Could not parse bool from flag (#2359)
  *  852598ee - Remove file tessedit.h
  *  6e59abcc - Remove file cutil.h
  *  3bbe4327 - fix #2344 libpthread under-linking on FreeBSD
  *  4ccbb9f8 - configure: Check support of compile flags with -Werror
  *  b6bfb20f - Improve readability of conditional code
  *  36a1a30c - Remove some old type casts
  *  59b90bd4 - Update googletest
  *  2718b81a - fuzzer-api: Use environment variable TESSDATA_PREFIX if
    set
  *  7e9970b4 - Format fuzzer code with clang-format
  *  270e466d - Add build rule for fuzzer-api
  *  7cd012f3 - Move fuzzer-api.cpp to subdirectory unittest/fuzzers
  *  b6b00083 - Use relative path to set TESSDATA_PREFIX
  *  e9b72d8c - Add API fuzzer
  *  a44bf41f - Modernize C++ loops
  *  ed011670 - Modernize C++ code using bool literals
  *  a0fd9058 - Modernize C++ code using auto
  *  36f76885 - Modernize C++ code using override
  *  d8d2f6f4 - Fix broken shell scripts for training
  *  aaf8c50a - unittest: Use range-for-loops
  *  631882a3 - Fix compiler warnings (signed / unsigned mismatch)
  *  ecaad2ac - ccstruct/werd: Format code with clang-format
  *  b1e305f3 - Simplify code which tests for non-empty StringParam
  *  f9860cda - Optimize functions ResetFrom
  *  41da5afe - UNICHARSET: Fix compiler warning (signed/unsigned
    mismatch)
  *  91e2b253 - Format modified code with clang-format
  *  06acbaf9 - IntegerMatcher: Fix division by zero
  *  da6305b6 - Fix compiler warnings caused by ASSERT_HOST
  *  44a6d9f4 - intmatcher: Catch more out of bounds reads
  *  5fd72284 - intmatcher: Catch out of bounds reads
  *  509ee950 - IntegerMatcher: Fix data type of loop counters
  *  f4f34a87 - WERD_RES: Fix uninitialized member variable
  *  afc099b9 - intmatcher: Split data_table
  *  8749f355 - LINEDATA=false
  *  bcb7cf98 - sort arguments, use true/false instead of 1/0
  *  2fcb483e - Update test submodule
  *  9aadaaba - Fix automake rules for doc-clean and doc-pack
  *  c2db2721 - Modify distort_image for Boolean
  *  259d5af6 - Add PSM values to the definition
  *  8eafec0d - Fix comments with current values of PSM codes
  *  11e09bd4 - Update appveyor.yml
  *  02f97c3f - Update appveyor.yml
  *  e1e56d9d - Remove local function declarations from intmatcher.h
  *  2ba194ca - Remove four unused parameters
  *  dd79d56e - Remove unused parameter BlobLength
  *  9b915d5e - add --distort_image
  *  f7ffde99 - add --distort_image
  *  26877ba7 - check min. python version; os.uname is not available on
    windows
  *  8891ba97 - add autotools options to cmake build
  *  f8e85216 - Update tesstrain_utils.py
  *  6fa8e1bb - Set max_workers=8
  *  e21499e8 - Set default value for distort_image
  *  ee2f9bf7 - Remove old comments in file headers
  *  5f76a849 - Sort options alphabetically in tesseract man page
  *  b55984fb - Add description for new --dpi option in tesseract man
    page
  *  26b4457b - Add description for new --psm values in tesseract man
    page
  *  a6981ae5 - Improve man page for tesseract
  *  6b3c81c9 - Add rule for PDF documentation
  *  d47b0d58 - Use LATIN_FONTS for kmr
  *  3eee1d21 - Add kmr and kur_ara, remove kur from training scripts
  *  297d7d86 - trying to add user words/patterns again:
  *  b2ebf019 - Add kmr and kur_ara, remove kur from training scripts
  *  37befdf6 - Add option for --distort_image
  *  29389f71 - Fix appveyor artifacts.
  *  e1479756 - Update documentation for supported languages
  *  85d7feeb - Add missing documentation for --help-extra
  *  14346e56 - tesstrain: catch+handle SIGINT (to stop waiting on
    subjobs)
  *  6cbad17e - tesstrain: check all subjobs' retval
  *  5316bcbb - tesstrain: check failure of subjobs
  *  4c2bbebe - Fix compiler warning (-Wunused-value)
  *  ed84ba0a - Fix wrong comparison
  *  bbbd262a - Added missing linker flags for MinGW.
  *  1206362d - `accumulated_timesteps` is not a pointer but a vector
    and in case we use ChoiceIterator without `lstm_choice_mode`
    tesseract crashes (or similar) because the check is true and we
    reference not existing item
  *  3baf0d80 - Fix boolean assignments
  *  8ad0489f - Remove svpaint.cpp from libtesseract
  *  35a999f9 - Fix assertion caused by wrong unicharset
  *  56a39bda - Fix float division by zero
  *  5b3e2fe8 - Integrated accumulated Symbol Choice in the Choice
    Iterator and made the api lstm_choice_mode independent
  *  4c0b98bd - Replace undefined shift operations by multiplications
  *  896698a4 - Fix runtime error (left shift of negative value)
  *  5202208a - Remove globals.h
  *  e78b5f2a - Update test submodule
  *  bc2b9198 - Integrated Timesteps per symbol into ChoiceIterator
  *  754e38d2 - Added the option to get the timesteps separated by the
    suggested segmentation
  *  d2c3309d - Update appveyor.yml
  *  e8176072 - archive_version_details is available from libArchive
    version 3.2.0
  *  c4dd5372 - [cmake] Add visibility to all target_link_libraries
    calls.
  *  b0f61dfd - Propagate libarchive to tess users.
  *  37b0c36e - Add libarchive dependency to cppan and sw builds.
  *  02a1ffe8 - Report libArchive support
  *  4ed44d70 - cmake: enable libArchive support for non_cppan build
  *  b3aff7d6 - Fix Index-out-of-bounds in
    IntegerMatcher::UpdateTablesForFeature
  *  91d0a71d - Fix assertion caused by wrong unicharset (issue #2301)
  *  71d4990c - Fix Heap-buffer-overflow in GenericVector<int>::size
    (issue #2298)
  *  3912cb1c - LSTM char_whitelist/blacklist (6ac2ff0): more robust
  *  b7279f6d - unittest: Remove tmp directory from repository and
    create it during build
  *  bd95c9d2 - unittest: Add missing libarchive
  *  b20f8900 - unittest: Add another file from Abseil
  *  b4599908 - LSTM char_whitelist/blacklist (6ac2ff0): multi-code
    chars
  *  8012d5e6 - LSTM char_whitelist/blacklist (6ac2ff0): also sublangs
  *  6ac2ff08 - trying to add tessedit_char_whitelist etc. again:
  *  a9d3efb6 - Document that configfile can be a file path
  *  1c7e0061 - Add initial support for traineddata files in standard
    archive formats
  *  56b04d4e - Added the same --tmp_dir flag to tesstrain_utils.sh
  *  25fa3928 - Added an additional optional --tmp_dir parameter to
    specify the temporary directory in which tesstrain.py creates the
    training temporary files. The main reason is due to the slow R/W on
    HDD, if anyone wants to speed up this process can use as tmp_dir a
    directory on an SSDrive
  *  7fbde96a - Format new code with clang-format
  *  38fac625 - Format new code with clang-format
  *  a0202bac - Rename function to TessBaseAPIGetTsvText to be
    consistent to the Create method
  *  9c90894f - PAGE_RES_IT: Optimize compare operators by using inline
    code
  *  295996ed - commandlineflags: Fix compiler warnings
    (signed/unsigned)
  *  eb14726a - ICOORD: Fix old type casts
  *  fb0f1bcf - BoxChar: Fix compiler warnings (signed/unsigned)
  *  0e1a1fc3 - Validator: Fix compiler warnings (signed/unsigned)
  *  c7e8131e - Add TSV option to C-API
  *  22c09934 - rename LSTMBOX to LSTMBox
  *  c33f03e3 - Add lstmboxand wordstrbox to capi.h
  *  76ec21df - Add lstmbox and wordstrbox to C-API
  *  08e96516 - install lstmbox and wordstrbox config files
  *  646b043d - use space instead of tab
  *  5ee1deae - correct handling of 0BF0-0BFA Tamil numbers and symbols
  *  c6cc54aa - Change option -l to --lang
  *  14c4494f - Allow UTF-8 variant of C locale
  *  98dd3b63 - Refactor class Network
  *  25b02bf1 - Treat U_ARABIC_NUMBER as LTR
  *  2f71fe28 - Use alternative way to comment a block of code (using
    the c preprocessor).
  *  449f1cd4 - Remove test for Word started with a combiner
  *  b3e355a6 - Remove whitespace at line endings
  *  34e4d6b1 - Revert to 0 (50% percents of images inverted).
  *  287d5341 - TODO
  *  3e3e1ed5 - Remove commented Code
  *  2aded47a - Implement distort_image in text2image - default false
  *  49ed3a72 - implement PrepareDistortedPix as part of DegradeImage
  *  9644b582 - Update appveyor.yml
  *  2cbe723d - Fix doxygen comments
  *  ef4d5b2e - Optimize calculation of dot product for double vectors
    with AVX
  *  b3bd23ed - Remove whitespace at line endings
  *  38861be6 - Use __builtin_trap instead of null pointer dereference
    to abort
  *  4bd18c4c - Travis: Enable continuous integration build for macOS
  *  a93ef8e0 - Release candidate 1 for 4.1.0
  *  441779de - fix showing git tag for cmake build
  *  a2481de9 - Revert "cmake workaround for #2246 for clang"
  *  ddea230b - Don't compute function tables at compile time with clang
  *  3480f1e5 - [sw] Fix clang-cl build.
  *  4d8bbe2c - cmake workaround for #2246 for clang
  *  7a1c6fe6 - Fix typo
  *  6e37389f - doc: Don't fail if manpages fail to build
  *  42ea4324 - configure: Check for xsltproc (needed to generate
    manpages)
  *  7f65afba - cmake check for available C++ standard. Minimum reqiered
    standard is C++11
  *  862322c1 - Fix check for images which are too small to scale
  *  a044f643 - fix Myanmar validation rules as per Unicode charts
  *  d35f119c - Fix a typo in Doxyfile
  *  50f42ebb - Update test submodule
  *  c0523ee5 - Fix compiler warning
  *  35561524 - Compute function tables at compile time
  *  fd6e281c - Use C++14 compiler if possible
  *  b3327f4e - Remove unneeded checks for snprintf
  *  f491eb61 - Simplify tanh and logistic functions and precompute
    function tables
  *  f3362a4b - Add renderer to create WordStr box files from images
  *  7ca27bb1 - Update appveyor.yml
  *  31105368 - put common code in AddBoxToLSTM
  *  b51c1bf0 - change to const char* as suggested by @stweil
  *  86121703 - fix resultiterator_test for extra \n
  *  0c9f7db5 - Fix compiler warning (-Wimplicit-fallthrough)
  *  d91c316a - FontInfo: Make sure that deleted member variables can no
    longer be used
  *  877e62db - Fix compiler warning (-Wmaybe-uninitialized)
  *  33f6dc2a - Fix compiler warnings (-Wformat-truncation=)
  *  2a355ea1 - Fix compiler warnings (-Wimplicit-fallthrough)
  *  aa2dcca2 - Fix compiler warnings (-Wstringop-truncation)
  *  d42413dd - OpenCL: Remove PERF_COUNT framework
  *  86b14c32 - Avoid gmake-specific pattern substitution in
    Makefile.am. Resolves #2226
  *  c3b18cfd - Improve description of configs and parameters in
    tesseract(1)
  *  da279e42 - Tidy tesseract(1)
  *  6dc48adf - Rename get.image config to get.images and install
  *  0f42fd8c - change to use bbox coordinates for TEXTLINE for all
    characters
  *  9c89cd51 - Add a new renderer to create box files from images for
    LSTM training
  *  56725de8 - Update appveyor.yml
  *  32af6be4 - disable some subtests in resultiterator_test
  *  d9590f8a - allow user specified box/tiff pairs with tesstrain.sh
  *  323361b9 - allow user specified box/tiff pairs with tesstrain.sh
  *  ad223296 - use --xsize instead of --x_size
  *  31c48a04 - fix travis
  *  39ed30ad - Fix build rule for manpages
  *  0e090cd2 - fix typo
  *  114bc501 - improve cmake configuration
  *  2106cba0 - Use universal location for docbook.xsl
  *  66da4df1 - configure: Remove header check for ICU
  *  7be04342 - Fix typo
  *  b4980676 - Fix AVX2 support for Windows builds with MSC
  *  fc55b587 - use AVX2 SSE for cmake&clang on Windows
  *  fd881e44 - fix cmake PACKAGE_VERSION to behave same way as in
    autotools
  *  394839cd - Fix cmake compiler flags for AVX/SSE support
  *  b60321e6 - Update test submodule
  *  4d9bc11f - add --xsize as parameter for tesstrain
  *  1ac76d88 - Partially fix and enable more unittests Add more
    subtests to langmodel_test
  *  eaf5deb6 - Disable ligature related subtest in stringrenderer
  *  8f87ebb4 - Update test submodule
  *  14d5547b - Update test submodule
  *  b30e92fb - turn off openmp build for cmake (issue #263)
  *  51604dd1 - Disable ligature related subtest in stringrenderer
  *  dbb12d6f - more updates to lstm related unittests
  *  86b0f362 - unittest: Skip test is traineddata is missing in
    applybox_test
  *  36906064 - Add LF to INFO msgs in lstm_test
  *  87a4fbac - Update test submodule
  *  14086af4 - unittest: Add missing Leptonica library for
    stringrenderer_test
  *  6b7f7db6 - Fix and enable shapetable_test
  *  bbd23bbf - Fix and enable lstm related unittests (#2180)
  *  9e6e3a02 - Fix memory leak for PNG images
  *  1a398a5b - removed reference to unbound variable
  *  daf61f75 - automake: Add missing dependency for "check" target (fix
    parallel build)
  *  ecf73f5b - training: Don't terminate after processing 8 fonts or 8
    images
  *  32e9d7c8 - training: Fix some compiler warnings (signed/unsigned)
  *  e4b862d5 - pango_font_info: Fix runtime error messages from Pango
  *  4b24d8cd - Fix and enable stringrenderer_test
  *  a6da6423 - unittest: Fix and enable validate_myanmar_test
  *  d67287a5 - unittest: Fix and enable validate_khmer_test
  *  611d5e63 - unittest: Fix and enable validate_indic_test
  *  d97f67da - unittest: Fix and enable validate_grapheme_test
  *  a702f2d2 - unittest: Replace ABSL_ARRAYSIZE by ARRAYSIZE
  *  77d0b6ce - fix WORDLIST filename
  *  2c0ddb42 - Update file paths in dawg_test
  *  57f74d2b - Fix file location for unicharset for mastertrainer_test
  *  0ee4f630 - Formatting LOG messages from layout_test
  *  4edc61fd - unittest: Add missing license headers for dawg_test and
    layout_test
  *  05cdbc7c - Fix and enable dawg_test
  *  aec992eb - Update test submmodule and enable additional test in
    layout_test
  *  4b821b2c - Fix and enable layout_test
  *  0d6d8108 - Add sources for layout_test and dawg_test to Makefile
  *  0f0eaa9f - Partial fix for layout_test and dawg_test
  *  564482db - Fix selection of IntSimdMatrix method
  *  277457ff - Update appveyor.yml
  *  0ae8fdc8 - Fix build for unicharcompress_test
  *  66e31bfd - OpenCL: Fix alloc-dealloc mismatch
  *  ad19183b - OpenCL: Fix heap buffer overflow
  *  e67ad46f - fix typo
  *  9e599e1e - Partial fix for unicharcompress_test
  *  9b2bf103 - Fix build for unichar_test
  *  20ed60b3 - Fix unicharset_test
  *  db3ed5d6 - Run travis builds without cppan.
  *  a1ec977f - Revert "Fix broken builds"
  *  0c5f8194 - Fix broken builds
  *  226694aa - Update appveyor.yml
  *  3c52bccc - Update appveyor.yml
  *  26e130a9 - Update appveyor.yml
  *  771d5ebb - Update appveyor.yml
  *  23b80367 - Update .travis.yml
  *  3749d16e - Update appveyor.yml
  *  27d6e9d3 - Fix sw build.
  *  502bb624 - More optimisations for IntSimdMatrix
  *  95606398 - Clean code for IntSimdMatrix
  *  7fc7d28d - Compile files for AVX, AVX2 or SSE only when needed
  *  a9a1035e - Move IntSimdMatrixNative from IntSimdMatrix to unittest
  *  d36231e3 - Set best or user selected IntSimdMatrix
  *  605b4d66 - Replace dynamically allocated IntSimdMatrix instances by
    constants
  *  26be7c5d - Use constructor with parameters for IntSimdMatrix
  *  e237a384 - Add const attributes to IntSimMatrix multiplier
  *  7c701477 - Move shaped weights from IntSimMatrix to WeightMatrix
  *  ea4d0d35 - Format comment
  *  c79d613b - Replace ASSERT_HOST by assert
  *  c4de29d1 - unittest: Allow more time for apiexample_test when using
    a debug build
  *  e6775163 - unittest: Fix comment
  *  a5283f29 - Add test for the C++ implementation of MatrixDotVector
  *  9adf6e44 - Revert 59fb3370bbf36cf8db6b7aae557fe6fd5e297bf3 (-ffast-
    math)
  *  5d3d2512 - Fix build for unittest
  *  ebbf907c - Fix typo in hocr character box output
  *  4ce797b6 - Fix hocr character box info to use new hocr renderer
    correctly
  *  a0e6586e - Fix documentation for page segmentation mode 2
  *  0fae848b - OpenCL: Add comments to users of openclwrapper.h
  *  e0fc4f29 - Remove opencl_device_selection.h
  *  62b85755 - [sw] Depend on leptonica-master.
  *  7732f65b - Activate sw builds.
  *  c39a95ca - try to fix appveyor
  *  bd1c05c1 - remove old line
  *  c41a80f1 - respect cmake -DCPPAN_BUILD=OFF
  *  595bb7df - OpenCL: Remove unused code
  *  b8de0643 - Ensure baseapi.h header is used by commontraining.h
    regardless of autotools usage
  *  cd34ee55 - Add necessary intproto.h header to protos.cpp
  *  ff2535f8 - Avoid linking pthread on Android
  *  62b635a7 - Remove unused functions from cluster.cpp
  *  f76d8a14 - Remove unused code from oldlist
  *  7719f801 - Add missing std namespace in tensorflow code
  *  8a6fa452 - Fix build for architectures without CPUID
  *  91af0102 - Fix compiler warning
  *  5dd606c6 - Replace NULL by nullptr
  *  5f96ac1a - Update cmake compiler flags for new simdetect.cpp
  *  d9600cd8 - Fix and simplify SIMD tests
  *  d3065520 - fix 2 clang warnings
  *  cb049133 - Fix compiler warning
  *  b9a34d74 - add support for clang on windows (cmake&ninja)
  *  3e6ec97a - Remove altorenderer.cpp from resource compiling (already
    included in tesseract_src)
  *  8885fe2c - provide info about compiled openmp version
  *  993e56ff - Don't try to create text output if other renderers
    failed (fix regression)
  *  cc997b53 - add  missing the implementation for
    TessBaseAPIGetAltoText method in C-API
  *  e3a39c35 - Revert "Switch windows builds to SW."
  *  0967a324 - Switch windows builds to SW.
  *  db9c7e03 - Use std::stringstream to generate hOCR output
  *  c7e8d302 - Fix value for PHYSICAL_IMG_NR in ALTO output
  *  fda0fa4e - Add new hocrrenderer.cpp to CMakeList.txt and Android.mk
  *  457c5302 - Fix indentation of hOCR output
  *  5de3fc47 - Format code in new file hocrrenderer.cpp
  *  48713f7d - Move code for hOCR renderer to new file
  *  e398601b - Include ALTO in list of supported output formats
  *  1f5fb15a - remove setting constant resolution from
    ImageThresholder::SetImage. Credible resolution with be set
    afterward. Fixes #2080.
  *  b8c4f1b9 - protos: Remove unused config variable
  *  f35eeb3b - protos: Remove several unused macros, functions and
    global variables
  *  fbbbdb45 - Use std::stringstream to generate ALTO output and add
    <SP> element
  *  7ebd3153 - Fix several typos (most of them found by codespell)
  *  81ab302d - FPRow: Remove three unused methods
  *  404f9cd1 - SimpleStats: Remove unused method
  *  2c044df9 - Fix wrong x_fsize in hOCR output (regression)
  *  2ccc5810 - Add check whether compiler supports -march=native flag
  *  c9e85ab7 - Fix wrong font attributes in hOCR output
  *  0bdae8f8 - GENERIC_2D_ARRAY: Fix runtime error in assignment
    operator
  *  f0a4d041 - Add config variable for selection of dot product
    function
  *  1910b1a7 - SIMDDetect: Use tesseract namespace and format code
  *  66d3275d - IntSimdMatrixSSE: Remove unused include statement and
    simplify code
  *  048eb349 - Add missing static attribute to local inline functions
  *  b73370aa - Remove unneeded test for nullptr
  *  e2419b19 - Fix potential crash in tprintf
  *  6b6d9de4 - Fix potential crash in STRING class
  *  59fb3370 - Use -ffast-math for calculation of dot product
  *  fda3ba90 - IntSimdMatrixSSE: Fix comment
  *  c59c45fb - Fix Amharic font list
  *  57d0ae06 - Use Python3 for LGTM
  *  b148644c - Make Python script executable
  *  ed48b2a8 - Format new ALTO code with clang-format
  *  e817d93e - Add configuration file for ALTO to installation
  *  d7cee03a - Add support for ALTO output
  *  3c047f0a - Optimize performance by using inline function DotProduct
  *  e161501d - Optimize performance by using inline
    MatrixDotVectorInternal
  *  685b136d - Fix incorrect condition.
  *  0223abcb - Add example in README.md
  *  8aa25239 - Fix some of Codacy's complaints
  *  9122e624 - Autoreformat code
  *  d9ae7ecc - Pythonize tesstrain.sh -> tesstrain.py
  *  fc8a3d5b - combine condition with next
  *  5c85d8e0 - add missed letters and symbols - 0x104a to 0x104f -
  *  b08624ac - Reapply: Add sw build system script (future cppan
    replacement).
  *  19580b18 - Revert "Add sw build system script (future cppan
    replacement)."
  *  b1e20043 - Add sw build system script (future cppan replacement).
  *  9b783822 - Remove unused include statements for tprintf.h
  *  a93426c9 - Fix wrong results from function streamtofloat
  *  acca4fb9 - Fix some unbound variables and other small issues in
    training shell scripts
  *  a4b03fbb - Fix warning from shellcheck
  *  bfe58aa5 - Fix unbound variable $FONTS
  *  92b88338 - fix(configure) Don't add rt on Android
  *  0915cbd5 - Simplify shell script using mktemp
  *  edb76e28 - Simplify MKTEMP_DT logic
  *  dbfc89f9 - Fix mktemp in tesstrain_utils.sh
  *  ff5347c4 - Fix memory leak in osd_test
  *  5209aa6c - Fix memory leak in loadlang_test
  *  74f6d0e7 - Fix memory leak in apiexample_test
  *  303ac971 - Fix memory leaks and typos in progress_test
  *  ce88adbf - fix issue #1192
  *  fae47eb8 - Update test submodule
  *  72495716 - fix typo in non VS build
  *  eb104f9f - VS build: fix warning C4996: The POSIX name for this
    item is deprecated. Instead, use the ISO C and C++ conformant name.
  *  cdfb7680 - move langtests and unlvtests from tesseract-ocr
    repository to test repository
  *  cbef2ebe - implement patches vcpkg tesseract
  *  7a7f2262 - ocrclass: Remove unused macros
  *  2dd753ee - replace VS implementation of gettimeofday with
    std::chrono::steady_clock::now(); fixes #2038
  *  f4ec5bee - Remove dummy test
  *  73cefff3 - Include LICENSE file in distribution
  *  61848929 - Remove redundant file COPYING
  *  ad30f52e - Dockerfile: Delete the apt-get lists after installing
  *  0869fdfd - Dockerfile: Replace deprecated MAINTAINER by LABEL
  *  439dfaaf - un-fix one of the warnings
  *  30be5aaa - fix a couple minor compiler warnings
  *  422d1ca2 - Uses CMAKE_CURRENT_ variables instead of PROJECT_
  *  58328405 - Adjusts CMAKE_MODULE_PATH instead of the include()'s
  *  a4cb790e - Reverts change on EXECUTABLE_OUTPUT_PATH
  *  e87dc5b1 - Uses PROJECT_ variables instead of CMAKE_ variables so
    it can be included using add_subdirectory
  *  6f8bd340 - Remove chopper.h
  *  286dfb03 - Remove unused include statements
  *  2098bb6d - Remove unused function ComputeOrientation
  *  cad6ebb5 - LIST: Remove old comments
  *  2a2bc8af - Update README.md

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 04 Sep 2019 20:44:12 +0300

tesseract (4.0.0-2) unstable; urgency=medium

  * Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #919810)
  * Bump Standards-Version to 4.3.0

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 21 Jan 2019 19:40:07 +0300

tesseract (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * moved sh scripts to usr/share/tesseract-ocr/ (closes: #913017)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 51316994ccae0b48692d547030f26c0969308214
  * Date: 1540803796
  * git changelog:
  *  51316994 - 4.0.0 Release
  *  ba64aaf2 - add lstmdebug config to distribution and installation
    process
  *  125fdc3f - Add debug configuration for LSTM

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 06 Nov 2018 19:51:59 +0300

tesseract (4.00~git3241-1066f696-1) unstable; urgency=medium

  * Compile
  * fix patch - man.diff
  * Bump Standards-Version to 4.2.1
  * disable patch - shebang.diff
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 1066f696dd1439c61ec04ea341666439a97f49a5
  * Date: 1540363862
  * git changelog:
  *  1066f696 - Release candidate 4
  *  eefb8348 - Fix compiler warning
  *  f7f5f410 - Fixed a mac compiler warning in recodebeam.cpp
  *  e60318f9 - set PANGOCAIRO_BACKEND=fc to avoid crash; fixes #736
  *  3d508a65 - set unlv_tilde_crunching to false; fixes #1449 #948
  *  7ebbb737 - ColPartition: Fix CID 1164543 (Division or modulo by
    float zero)
  *  eaabe4a3 - ErrorCounter: Fix CID 1164538 (Division or modulo by
    float zero)
  *  8f615d44 - osdetect: Fix CID 1164539 (Division or modulo by float
    zero)
  *  be0cf037 - tesseractmain: Fix memory leak
  *  9c079931 - Add parenthesis in boolean expression
  *  0f973e1d - Add missing 'static' keyword
  *  a71ad455 - Remove unused macros
  *  eac2880c - avoid unbound variable TESSDATA_PREFIX
  *  d75ef80f - Get sorted list of available languages
  *  95d9c8c5 - set default values for unset variables
  *  7b32e645 - add shebang
  *  aefcbac8 - add info about unicharambigs file v2; fixes #165
  *  32c1e4f4 - FLAGS_webtext_prefix: unbound variable; issue #2005
  *  34a89e54 - Fix function ScrollViewCommand
  *  4d3b0bc7 - use <cstdio> instead of <stdio.h>
  *  8103d17c - use _strdup instead of strdup in MSVC
  *  a033261f - add info about used backend in text2image
  *  e2321140 - Fix use of undefined macro USE_DEVICE_SELECTION
  *  48694068 - Exit training script if run command failed; fixes #2005
  *  1a523006 - install training script with autotools.
  *  b0ace0e8 - ScrollView: Optimize local table_colors
  *  d364750c - Remove type cast and fix compiler warning (-Wcast-qual)
  *  1b2bda65 - Revert "prefer to use FreeType for pango_cairo_font_map"
  *  276c6845 - Revert "free PangoFontMap; fixes #1999"
  *  ebbd4e3e - fixes #426; define NOUNDEFINED for cygwin
  *  b40151c2 - training: Don't hide global variables
  *  bb181ec8 - Rename API function from GetBestLSTMChoices to
    GetBestLSTMSymbolChoices
  *  df7d1e1f - Rename API function for getting LSTM choices
  *  0a42c0dd - Fix configuration for LGTM
  *  830b9c71 - BLOBNBOX: Declare signed bit field
  *  d9c472b9 - cluster: Fix some potential overflows
  *  d1d73b98 - free PangoFontMap; fixes #1999
  *  849c2e98 - Add configuration for LGTM
  *  b2abfc1e - Update test submodule
  *  49d7df6d - tesseractmain: Show error message when output file could
    not be created
  *  b0b8dfbc - TessResultRenderer: Extend API to access status of
    renderer
  *  d04133f0 - unittest: Add more files from Google
  *  f0c9b753 - BlamerBundle: Add declaration for copy assignment
    operator
  *  e3658bbc - C_OUTLINE_FRAG: Add declaration for copy constructor
  *  5585ed8d - ROW: Add declaration for copy constructor
  *  a1f0c66b - BLOB_CHOICE: Add copy assignment operator
  *  7100a146 - ParamsTrainingHypothesis: Add copy assignment operator
  *  0bbd5c5d - LineHypothesis: Add copy assignment operator
  *  c13371d6 - Renamed GetGlyphConfidences() to GetChoices() and
    glyph_confidences to lstm_choice_mode
  *  4b800cca - Fix sum computation in higher precision
  *  fd84f7b6 - LLSQ: Replace sqrt by std::sqrt
  *  7c2af457 - Fix sum computation in higher precision
  *  1730b8cc - classify/cluster: Replace Emalloc by std::vector
  *  5fb461a5 - SVNetwork: Handle failed socket call (CID 1164597)
  *  2d2b269e - OpenclDevice: Catch negative index (CID 1395110)
  *  98843e0d - Fix uninitialized scalar variable (CID 1395880)
  *  146d2caa - Classify: Fix new resource leak (CID 1396163)
  *  edbd07a5 - lstmtraining: Handle failed remove syscall (CID 1396166)
  *  d8fdbdb9 - CycleTimer: Add missing initialization (CID 1396168)
  *  32e1e4b6 - TessPDFRenderer: Remove unused member variable
    jpg_quality_ (CID 1396172)
  *  d89ec155 - Revert "Fix CID 1396172 (Uninitialized members)"
  *  cbd09de7 - Fix CID 1396172 (Uninitialized members)
  *  d0d73da6 - commontraining: Fix two comments
  *  4b9e0a82 - Fix cppan build.
  *  d6950eb2 - Release candidate 3
  *  10f2c45c - fix "mkdir -dt" for bds, mac and cygwin
  *  126ca805 - Do not build tests by default.
  *  14af3f72 - Add missing cerrno includes - fixes #1986
  *  6cee0528 - turn off cmake test building
  *  6ffb53f8 - win32: Show TIFF errors on console
  *  f5dfab15 - Add Leptonica lib for baseapi_test
  *  47343174 - fixes #408 - text2image: comma in font name
  *  5f4f9372 - revert debug message committed by mistake
  *  f6fd9b3a - Handle null raw_choice - fixes #235, fixes #246
  *  90403ef3 - update dist-hook
  *  b0b5bd62 - build doc only for tesseract engine
  *  6359ba2e - add cmake files to autotools distribution package
  *  4edcbf11 - adapt info about ScrollView.jar build
  *  3f5c3619 - unittest: Disable build rules for tests which still fail
    to build
  *  2916dc86 - unittest: Add mastertrainer_test (only works partially)
  *  f93fb9de - unittest: Add lang_model_test (only works partially)
  *  de6a7597 - unittest: Add paragraphs_test
  *  53f0e765 - unittest: Add imagedata_test
  *  d86d520f - Remove tab character in source files
  *  d59f14c7 - Remove gradechop.h
  *  420a0286 - unittest: Add fileio_test
  *  d3cf4237 - unittest: Add qrsequence_test
  *  11f82f5c - unittest: Add baseapi_test
  *  db16fea6 - Add a basic implementation of class CycleTimer
  *  27bfaccf - Enhance LOG emulation
  *  db07a69b - Add more hacks for use with Google unittests
  *  b65b4afe - Update test submodule
  *  3318c9aa - Add Abseil as a submodule (needed for some of the new
    unit tests)
  *  9d84968d - fix building of ScrollView.jar with modern java version;
    fixes #1289
  *  6e759243 - remove not existing directory from autotools
    distribution
  *  b7098b3a - remove insight.io badge
  *  488cc49a - Use env variable in AppVeyor configuration
  *  7f911ac5 - Fix integer overflow in overlap calculation
  *  ca5d285a - hocr: add ocrp_wconf to unconditional ocr-capabilities;
    fixes #1470
  *  956525f5 - fix uninitialized variable, remove unused variable
  *  128422e7 - Remove virtual specifiers
  *  f94b3fd9 - Remove code for _MSC_VER < 1900
  *  c375f4fb - keep API compatibility with #1265
  *  af02ac64 - Update googletest submodule to release v1.8.1
  *  eba1c81d - Update test submodule
  *  dcd0377b - Always use isascii() with isspace()
  *  32e92def - Avoid crash with --psm 0 and LSTM traineddata
  *  1eeca175 - SVPaint: Remove empty block
  *  9c857ab9 - Classify: Don't hide debug parameter
  *  30b75cfc - UNICHARMAP: Remove comparison which is always false
  *  3ae765ec - svpaint: Change a variable from global to local
  *  7b595592 - pgedit: remove unused declaration of display_bln_lines
  *  ae93b65b - Plumbing: Remove comparison which is always false
  *  944816ae - Release candidate 2
  *  f7945711 - use pdf L_FLATE_ENCODE only for png input; fixes #1961
  *  67bf9062 - Rework check for readable input file
  *  4044ba82 - fix "mktemp -d --tmpdir" on Mac OS; see #1453
  *  685abc91 - pgedit: Change some variables from global to local ones
  *  424dbd5d - improve description of min_characters_to_try variable
  *  18f7ab75 - WERD_RES: Remove comparisons which are constant
  *  238c8727 - GENERIC_2D_ARRAY: Pass parameters by reference
  *  a7982185 - genericvector: Pass parameters by reference
  *  819c43d3 - chop: Use more efficient float calculations for sqrt
  *  f264464e - rect: Use more efficient float calculations for ceil,
    floor
  *  b26866bb - intproto: Use more efficient float calculations for
    floor
  *  06a8de0b - genericvector: Rewrite code to satisfy static code
    analyzer
  *  c2a8aa00 - Fix constructor for class Dict (uninitialized member
    variables)
  *  8dc9e9fd - Fix use of wrong UNICHARSET
  *  0e71e5a7 - lstmtraining: Remove dead code for purified model name
  *  f4e982e0 - combine_tessdata: Handle failures when extracting
  *  7434590b - lstmtraining: Check write permission for output model
  *  660dbaa9 - implement parameter min_characters_to_try for minimum
    characters to try to skip page entirely. fixes #1729
  *  33159318 - Merge and enhance documentation on language and script
    models
  *  383dcf70 - Document some more config options for tesseract
  *  b70a4567 - Add Makefile rule to build HTML manpages
  *  3e9b0acc - Update tesseract man page
  *  c6f75914 - Don't set page segmentation mode for unlv config
  *  26bfd2b9 - Allow orientation detection with any traineddata
  *  ecfee53b - Don't set page segmentation mode for hocr, pdf and tsv
    configs
  *  d1600673 - Update README about both OCR engines in tesseract 4
  *  0c39d344 - Update tesseract man page about both OCR engines in
    tesseract 4
  *  1beeeee2 - fix version info in VERSION
  *  04703ca8 - Fix CID 1164579 (Explicit null dereferenced)
  *  7dbf5a03 - print help for tesstrain.sh; fixes #1469
  *  9a1f14f2 - Fix CID 1395882 (Uninitialized scalar variable)
  *  ce6ff209 - Fix comments
  *  8c56b8f5 - Move content of ipoints.h to points.h and remove
    ipoints.h
  *  57a6f1d2 - remove duplicate help from combine_lang_model
  *  6ee7f4ea - Fix typo.
  *  14b83d30 - use tprintf instead of printf to be able disable
    messages by quiet option (issue #1240)
  *  d9372662 - add "sudo ldconfig" to install instruction. fixes #1212
  *  4ec9c862 - unittest: Replace NULL by nullptr
  *  9e66fb91 - unittest: Format code
  *  1a096441 - tesseract app: check if input file exists; fixes #1023
  *  0f3206d5 - Format code (replace ( xxx ) by (xxx))
  *  63f87cac - Simplify boolean expressions
  *  abe40f17 - Win32: use the ISO C and C++ conformant name "_putenv"
    instead of deprecated "putenv"
  *  a0564fd4 - Allow user to specify dpi for input image
  *  345e5ee1 - prefer to use FreeType for pango_cairo_font_map
  *  5fe13907 - remove alpha channel from png: issue #1914
  *  971fe500 - fixed #714: use binary mode when generating pdf to
    stdout on Windows
  *  5dfce747 - fix #1889: part 2
  *  f69af96d - Only print "Merging rows..." in debug mode
  *  ea007d5b - fix version info for cmake build
  *  c003a604 - remove outdated scripts/contrib dir
  *  01cf7402 - add header guard
  *  5338a5a8 - Don't trigger a deliberate SIGSEGV for fatal errors in
    release code
  *  4ca179d3 - remove condition because fontsize is always > 0
  *  741ea00d - Don't call exit when parameter in file is unknown
  *  d586b978 - Remove duplicate include statements
  *  a387e1f7 - Add documentation for lists of images to the tesseract
    man page
  *  d6d6f3d0 - Fix typo in cppan.yml affecting /openmp
  *  5d22fdfe - replace deprecated C++ headers (reported by clan-tidy) -
    partially supersedes PR #1605
  *  c98391d3 - fix #1192 bbox as the entire page
  *  92e29125 - Fix missing default parameter value cause compile to
    fail.
  *  31aeb534 - Fix merge conflicts Merge branch 'master' into
    jpg_quality_option
  *  59e42fce - fix issue #1889
  *  aa47a844 - Add badges for download , licence and lgtm
  *  be1393b1 - Replace macro MINGW by __MINGW32__
  *  4fa2a345 - EquationDetectBase: Define virtual destructor in .cpp
    file
  *  f29a9496 - BlobGrid: Define virtual destructor in .cpp file
  *  b3206d94 - GridBase: Define virtual destructor in .cpp file
  *  677198e3 - AlignedBlob: Define virtual destructor in .cpp file
  *  c9d8e5e8 - TransposedArray: Define virtual destructor in .cpp file
  *  94d227bc - IndexMapBiDi: Define virtual destructor in .cpp file
  *  319de308 - Add missing include file (fixes linker error for Visual
    Studio)
  *  5178142a - NthItemTest: Add definition for virtual destructor
  *  80c1235c - HeapTest: Add definition for virtual destructor
  *  46d2273e - IcuErrorCode: Define virtual destructor in .cpp file
  *  68bcd6ba - Validator: Define virtual destructor in .cpp file
  *  0d211f9e - Dawg: Define virtual destructor in .cpp file
  *  ac8afc57 - CUtil: Define virtual destructor in .cpp file
  *  32098b7d - IndexMap: Define virtual destructor in .cpp file
  *  5b8162f0 - CCUtil: Define virtual destructor in .cpp file
  *  14c23c9f - MATRIX: Define virtual destructor in .cpp file
  *  bde8f080 - CCStruct: Define virtual destructor in .cpp file
  *  8317371f - LTRResultIterator
  *  b612c2c5 - SVEventHandler
  *  1c9bd51d - SVEventHandler: Define virtual destructor in .cpp file
  *  8e551469 - MutableIterator: Define virtual destructor in .cpp file
  *  d926655c - LTRResultIterator: Define virtual destructor in .cpp
    file
  *  c635cdf5 - Do not define or use macro __UNIX__
  *  be443a5d - add langtests for Devanagari and Sanskrit
  *  9f8ed31a - api/pdfrenderer.cpp: Fix compiler warning
  *  08e25d41 - textord/cjkpitch: Fix mismatch between format string and
    argument
  *  2cc7839a - textord/makerow.cpp: Fix compiler warnings
  *  e74c88a4 - ccstruct/werd.cpp: Fix compiler warnings
  *  4934b2e8 - ccstruct/polyblk.cpp: Fix compiler warnings
  *  4f32b8fd - ccstruct/ocrblock.cpp: Fix compiler warnings
  *  59b637ef - ccstruct/mod128.cpp: Fix compiler warnings
  *  31de2cf6 - Add newline at end of file
  *  ccbda7a2 - Stage packages that provides the depending libraries
  *  2a61f6df - Fix compiler warnings in c_blob_comparator and make it a
    local function
  *  9c8a5851 - Add git tracking ignore rules for snap packaging
  *  aa48247f - Assert removable-media interface in the snap
  *  b5ff354d - Split app. command arguments into separate lines
  *  5ea8bf64 - Flip snap packaging's grade to stable
  *  554450c9 - Use automatic git-based versioning for the snap
  *  69a111a7 - Clean use of qsort function sort_floats
  *  92922b42 - Add langtests framework with frk example
  *  a849860c - add prime test programs to gitignore
  *  4aaad7b7 - add /unittest/*_test to gitignore
  *  b5d41b77 - Add leptonica-libs for apply-boxes test
  *  85b03723 - DISABLE some tests by default since they take long to
    run. They can be forced to run by --gtest_also_run_disabled_tests
    argument
  *  46f65bf0 - unittest: Fix and enable applybox_test
  *  70daecf2 - Javanese Validation works now - for the most part
  *  3e8e338c - taking as kCOnsonant in validate_grapheme
  *  a6c6b34b - Workaround for Javanese Aksara's Taling, do not label it
    as a combiner
  *  c1af1f66 - unittest: Fix and enable commandlineflags_test
  *  ca7ae1c3 - unittest: Fix and enable validator_test
  *  f7663c69 - Added detailed value description for glyph_confidences
    parameter
  *  70665721 - unittest: Fix and enable tfile_test
  *  8e404679 - unittest: Fix and enable tabvector_test
  *  aac00836 - unittest: Fix and enable tablerecog_test
  *  7aef7a30 - unittest: Fix and enable tablefind_test
  *  f95725af - unittest: Fix and enable stats_test
  *  6df28fb3 - unittest: Fix and enable rect_test
  *  3d38e8ce - unittest: Fix and enable nthitem_test
  *  f876ddb0 - unittest: Fix and enable linlsq_test
  *  aec9ce77 - unittest: Fix and enable intfeaturemap_test
  *  c4eda838 - unittest: Fix and enable indexmapbidi_test
  *  de7676c8 - unittest: Fix and enable heap_test
  *  77809283 - Add ARRAYSIZE macro for Google test environment
  *  2dc0b681 - unittest: Fix and enable denorm_test
  *  bb101def - unittest: Fix and enable colpartition_test
  *  68db6aa5 - unittest: Fix and enable cleanapi_test
  *  0dc5c8ef - unittest: Fix and enable bitvector_test
  *  2b7df591 - Add more unittests from Google
  *  f0337c2d - Add more portability hacks for Google test environment
  *  7a2f8d90 - Move class tesseract::File from training to ccutil
  *  f24426cd - Convert CRLF line endings to LF
  *  63965bd7 - Fix new whitespace issues

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 24 Oct 2018 21:41:11 +0300

tesseract (4.00~git2904-07acc2b2-1) unstable; urgency=medium

  * Compile
  * Bump Standards-Version to 4.2.0
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 07acc2b260187eebeb5aed4d063156612560fa24
  * Date: 1534972118
  * git changelog:
  *  b08966ad - Fix assertion caused by access to default TBOX
  *  7910a766 - Fix CID 1164567 (Dereference after null check)
  *  f3c7a17d - Fix CID 1395108 (Dereference after null check)
  *  6092a8f8 - Fix CID 1395109 (Logically dead code)
  *  ac176630 - Fix CID 1395113 ('Constant' variable guards dead code)
  *  7e9dfefc - Fix CID 1395114 ('Constant' variable guards dead code)
  *  99efc13d - Fix CID 1395116 ('Constant' variable guards dead code)
  *  663be426 - Added the option for character accumulated glyph
    confidences.
  *  43e3f24b - add variable  --save_box_tiff to Save box/tiff pairs
    along with lstmf files.
  *  debe3da3 - remove duplicate include
  *  b34cf9d4 - Javanese script training
  *  e1c387c9 - Fix typo in comments and variable name
  *  bf333011 - Fix typo in function name
  *  64123749 - Fix typo in comments and variable name
  *  95ed924d - Fix typo in function name
  *  ce135de3 - scrollview: Clean include statements
  *  296309c1 - remove duplicate include. Fixes #1837
  *  4cda775d - Revert Makefile.am to beta.2
  *  7957288f - chamge validate javanese similar to indic
  *  f93f9e8a - fix typo re Javanese
  *  0eb7be1c - Initial COmmit to add Aksara Jawa - Javanese script
  *  6a0f8e8c - ColPartition: Rename median_size_ -> median_height_
  *  8af80b7b - Fix ImageThresholder::OtsuThresholdRectToPix for OpenCL
  *  27ce4726 - Fix potential crash with --psm 0 and use osd.traineddata
    automatically (closes: #906922)
  *  65997bed - Fix issue detected by Coverity Scan
  *  d28631a2 - Fix issues detected by Coverity Scan
  *  6a28cce9 - Fix whitespace issues
  *  2d96c661 - Fix issue detected by Coverity Scan
  *  eb69dd02 - TessPDFRenderer: Improve robustness of API (issue #1804)
  *  d4490af0 - Fix issue reported by Coverity Scan
  *  83a4eb3b - Fix issue reported by Coverity Scan
  *  9cf170cb - Revert "Change default width for images output by
    text2image"
  *  b19e6908 - training: Add new flag --workspace_dir to
    tesstraining_utils.sh
  *  b50073ec - Minor formatting proposals
  *  2315fe2a - Minor formatting proposals
  *  91c7504a - Added a feature to enrich the hOCR output with glyph
    confidences

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 23 Aug 2018 17:56:35 +0300

tesseract (4.00~git2844-607e8fd8-1) unstable; urgency=medium

  * Compile
  * fix patch - man.diff, helptext
  * fixed build with dpkg-buildpackage -A (closes: #901750)
  * fixed path to phototest.tif
  * Update dependencies for tesseract-ocr, libtesseract4 - add
    "liblept5 >= 1.75.3"(closes: #903606)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 607e8fd85c675d2348b80703665455a6fab1aeac
  * Date: 1532170875
  * git changelog:
  *  132c540c - Increase limit for deserialization of large arrays
  *  b15624eb - Fix regression (shared libraries no longer supported)
  *  f577e292 - Increase limit and add assertions for deserialization of
    large arrays
  *  ca25d885 - Add missing execute permission for script files
  *  58208522 - configure: Clean code for --enable-visibility
  *  a07025c9 - configure: Clean code for --enable-opencl
  *  0ad6e3e7 - configure: Clean code for --enable-legacy
  *  e47a9272 - configure: Clean code for --enable-graphics
  *  cfc5ef65 - configure: Clean code for --enable-embedded
  *  11cafd76 - configure: Clean code for --enable-debug
  *  11d9d8e5 - configure: Remove macro AC_SYS_INTERPRETER
  *  0a4edf61 - configure: Remove large file support
  *  4bbebd3f - Remove tests for function getline
  *  3a7f5e4d - Merge pull request #1786 from stweil/serialize
  *  b7b8dba5 - LSTMTrainer: Use new serialization API
  *  1dcda1aa - LSTMRecognizer: Use new serialization API
  *  45a7ccf2 - LSTM: Use new serialization API
  *  f4449ba4 - Convolve: Use new serialization API
  *  dfc3e969 - SquishedDawg: Use new serialization API
  *  6cf50896 - UnicharAndFonts, Shape: Use new serialization API
  *  07b363fe - MasterTrainer: Use new serialization API
  *  88b3d940 - TessdataManager: Use new serialization API
  *  da0217fa - STRING: Use new serialization API
  *  5e05f2cb - IndexMap: Use new serialization API and optimize code
  *  edff1d18 - BitVector: Use new serialization API
  *  bb6c0123 - ICOORD: Use new serialization API
  *  66bc012d - UNICHARSET: Use new serialization API
  *  eb90068b - RecodedCharID: Use new serialization API
  *  0ca7cdd2 - WordFeature, ImageData: Use new serialization API
  *  7133a6f4 - GENERIC_2D_ARRAY: Use new serialization API
  *  ea660f83 - fontinfo: Use new serialization API and optimize code
  *  6ef267c4 - Use TFile::Serialize, TFile::DeSerialize
  *  c383b1aa - TFile: Add helper functions for serialization of simple
    data types
  *  bdd2a7ae - Use tesseract::Serialize, tesseract::DeSerialize
  *  16832f98 - Add helper functions for serialization of simple data
    types
  *  216c2b31 - Fix typo and add TODO comment
  *  2b6a356c - IntFeatureSpace: Remove unused DeSerialize method
  *  f47daace - Update appveyor.yml
  *  14d8c74e - Update appveyor.yml
  *  d330eeae - Update appveyor.yml
  *  9eed164a - Update appveyor.yml
  *  9ff65386 - Update appveyor.yml
  *  cfd72ff3 - Fix --print-parameters (regression)
  *  88ebfea4 - opencl: Fix crash and clean code a bit
  *  0d497593 - Replace tprintf_internal by tprintf and clean tprintf
    code
  *  24bf8c33 - Add include statements (needed for following commit)
  *  8bd95673 - Fix some comments
  *  44415a70 - Remove unused EXTERN macros
  *  7e80a850 - Remove unused macros
  *  609edd46 - Add missing include statement
  *  55f0ca58 - Add missing include statements and clean some include
    statements
  *  cdc7db70 - unlvtests: Fix typo in documentation (found by
    codespell)
  *  0eb239ee - Fix typo in comments
  *  001f536c - Fixed "Invalid F spec" error while building
    FullyConnected layer.
  *  18edac40 - Fix CID 1164623 (Uninitialized scalar field)
  *  66b71e6b - Fix CID 1164621 (Uninitialized scalar field)
  *  8582ee09 - Fix CID 1164618 (Uninitialized scalar field)
  *  37f82824 - Fix CID 1164616 (Uninitialized scalar field)
  *  430dc5c0 - Fix CID 1164612 (Uninitialized scalar field)
  *  19a99450 - Fix CID 1164611 (Uninitialized scalar field)
  *  4bb41b89 - Fix CID 1164693 (Untrusted value as argument)
  *  992031e8 - Fix CID 1164702 (Untrusted value as argument)
  *  c1da5fba - Fix CID 1164704 (Untrusted value as argument)
  *  8871f4d6 - Fix CID 1164686 (Use of untrusted scalar value)
  *  92e2ad04 - Fix CID 1164703 (Untrusted value as argument)
  *  bfe2a795 - Fix CID 1164566 (Dereference after null check)
  *  036c72ca - Fix CID 1164733 (Resource leak)
  *  8d60a184 - Remove unused iterator
  *  d2febafd - Fix compiler warnings [-Wmissing-prototypes]
  *  8ad7f049 - Fix empty statements
  *  ffb50193 - Fix prototype for API function
    TessBaseGetBlockTextOrientations
  *  790b410f - Remove unused API function TessBaseAPIDetectOS
  *  f107f116 - Fix compiler warnings [-Wconditional-uninitialized]
  *  a74d467e - Fix compiler warnings [-Wcomma]
  *  296a836f - Fix compiler warnings [-Wunused-const-variable]
  *  787bde56 - Fix syntax errors introduced by last commit (regression)
  *  d960a50c - Fix compiler warning [-Wshadow-field-in-constructor]
  *  c1be1024 - Fix compiler warning [-Wtautological-undefined-compare]
  *  52d392da - Fix compiler warning [-Wunused-function]
  *  6cc35646 - Fix compiler warning [-Wunreachable-code-break]
  *  bdf09f40 - Fix compiler warnings [-Wzero-as-null-pointer-constant]
  *  60fcff5e - Fix build with legacy engine disabled (part 2)
  *  081793ff - Fix build with legacy engine disabled
  *  c8b5a29c - Remove unneeded type casts
  *  62c7b796 - Merge branch 'master' into disable-legacy
  *  15fb491b - Add missing #ifdef in tesseractmain.cpp
  *  134779f7 - Fix duplicate #ifndef in blobclass.cpp
  *  aa9f4b48 - Add an option to compile tesseract without the code of
    the legacy OCR engine
  *  6d170a15 - Replace tabs by blanks in source code
  *  c9efe5f5 - Merge pull request #1737 from stweil/nwmain
  *  626a229c - Remove nwmain.h
  *  f8684cb0 - Fix syntax error (regression)
  *  bb7bb1f0 - Remove old comments for exceptions
  *  889f7eaa - Remove blckerr.h
  *  87281324 - Replace function DoError and remove danerror.cpp,
    danerror.h
  *  6a553f9f - Clean up cutil.h
  *  9325fbe3 - Remove unused include files
  *  2cd2d320 - Remove functions open_file, exists_file
  *  84f315db - Update tesseract.1.asc
  *  cbd7b157 - Remove unneeded macro definition for M_PI
  *  f7b61891 - Replace macro PI by macro M_PI
  *  3840a769 - Remove unused function long_rand
  *  b57afc7c - Replace Efopen by fopen and remove efio.cpp, efio.h
  *  faae87be - Replace FLOAT32 by float data type
  *  f6c3c8cf - Replace MAX_FLOAT32 by standard FLT_MAX and remove
    unused MIN_FLOAT32
  *  919901eb - Replace FLOAT64 by double data type
  *  abbd78a0 - Fix CID 1340271, 1340272, 1340273, 1340274 (Use after
    free)
  *  52b44c5e - Fix CID 1164530 (Logically dead code)
  *  57970443 - Fix CID 1393661 (Arguments in wrong order)
  *  09da044a - Fix CID 1164553 (Division or modulo by float zero)
  *  1b303e5d - Fix CID 1393662 Resource leak
  *  d3c4642d - Fix CID 1393662 (Resource leak)
  *  98758fb3 - opencl: Use std::vector and clean code
  *  53795a88 - Fix CID 1158180 Argument cannot be negative
  *  68010853 - pdfrenderer: Fix ClipBaseline and optimize code
  *  1011e001 - Update rules for clang-format
  *  e8e94d37 - Fix CID 1340287 (Unchecked return value)
  *  a49b8f1d - Fix CID 1297960 (Dereference after null check)
  *  86eb4dfc - Fix CID 1164646 (Uninitialized pointer field)
  *  6b250b58 - Remove autoconf-archive dependency
  *  de072cc0 - Format OpenCL code
  *  368fa189 - Fix CID 1386106 (Explicit null dereferenced)
  *  740a821c - Fix CID 1393673 (Ignoring number of bytes read)
  *  075dc984 - Fix CID 1393671 (Uninitialized scalar variable)
  *  8f33d10b - Fix CID 1393670 (Resource leak)
  *  12a601ff - Fix CID 1393669 (Resource leak)
  *  1de55c86 - Fix CID 1393668 (Uninitialized scalar variable)
  *  1e1f35cd - Fix CID 1393667 (Copy into fixed size buffer)
  *  85794ca1 - Fix CID 1393666 (Big parameter passed by value)
  *  3d2f7350 - Fix CID 1393665 (Uninitialized scalar variable)
  *  a95917a6 - Fix CID 1393664 (Uninitialized scalar variable)
  *  c9737c7f - Fix CID 1393663 (Big parameter passed by value)
  *  53596f78 - Fix CID 1393662 (Resource leak)
  *  fcff2f2c - Fix CID 1242849 (Unused value)
  *  eabd10d8 - Fix CID 1158180 (Argument cannot be negative) and clean
    code a bit
  *  4cc103cd - Fix CID 1157757 (Logically dead code)
  *  36c985b7 - Fix CID 1164746 (Big parameter passed by value)
  *  244b54bf - Fix CID 1386083 (Dereference null return value)
  *  2a30d77d - Fix CID 1386104 (Dereference null return value)
  *  4bebf3a5 - Fix CID 1386098 (Dubious method used)
  *  0686cbed - Fix CID 1386094 (Unread field)
  *  93a9a9dc - Update VERSION
  *  20cd6d23 - dotproductsse: Fix include statements
  *  9bb5a877 - Remove stderr.h and its include statements
  *  db7f2009 - Remove memry.cpp, memry.h
  *  cda04b1d - tordmain: Replace alloc_mem, free_mem by C++ std::vector
  *  3032b65b - pithsync: Replace alloc_mem, free_mem by C++ std::vector
  *  cb9eec35 - oldbasel: Replace alloc_mem, free_mem by C++ new,
    delete, std::vector
  *  77db9b43 - makerow: Replace alloc_mem, free_mem by C++ new, delete,
    std::vector
  *  556a1c1e - qspline: Replace alloc_mem, free_mem by C++ new, delete
  *  52218c3d - pitsync1: Remove unneeded include statement
  *  9b2dc5c2 - gap_map: Replace alloc_mem, free_mem by C++ new, delete
  *  20e243d5 - strngs: Replace alloc_mem, free_mem by standard
    functions
  *  8953f414 - qspline: Remove unneeded include statement
  *  b282d2cb - adaptions: Remove unneeded include statement
  *  f99be62c - coutln: Replace alloc_mem, free_mem by standard
    functions
  *  7768f9b3 - Clean more include files and include statements
  *  a32d24fa - Remove empty tessbox.h
  *  91522dfb - Remove memry.h from public API
  *  1a151781 - Clean some include statements
  *  15f64e02 - Remove recursive header.
  *  484a1be9 - Remove unneeded include statements for scanutils.h
  *  11f2b12f - Remove arch header files from public API
  *  2bafff4c - Remove LSTM header files from public API
  *  1371980f - Replace string.h by standard C++ cstring
  *  112aeb98 - Clean usage of assert.h
  *  a9e2574e - Remove public API file ndminx.h
  *  0cb128d5 - Remove errcode.h from public API
  *  44450094 - Replace ASSERT_HOST in genericvector.h
  *  2a5a0924 - Fix CID 1393241 (Dereference null return value)
  *  09976e61 - Fix CID 1393238 (Dereference null return value)
  *  27a5908a - Fix CID 1393239 (Dereference null return value)
  *  f482ebdc - Fix CID 1393243 (Uninitialized scalar field)
  *  2ceb2001 - Fix CID 1393244 and CID 1393244 (Uninitialized scalar
    variable)
  *  d6391ee8 - Fix CID 1393540 (Explicit null dereferenced)
  *  c8dd4456 - Fix CID 1393240 (Missing return statement)
  *  e87e8967 - Remove more header files from public API

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jul 2018 15:57:58 +0300

tesseract (4.00~git2481-555f6ffc-1) unstable; urgency=medium

  * Compile
  * Added version in tesseract-ocr-eng build-dep (closes: #898971)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 555f6ffc0191fdd481e792be5afacc5644012bb9
  * Date: 1526933494
  * git changelog:
  *  555f6ffc - Merge pull request #1593 from stweil/fix
  *  cdf035d9 - Fix compilation with g++-5
  *  0a93ad2a - Merge pull request #1590 from mduk/patch-1
  *  b4b33dda - Update README.md
  *  e9197f30 - Merge pull request #1589 from stweil/fix
  *  fedae914 - ColPartition: Add missing initialisation for
    median_left, median_right
  *  7c8ab184 - Merge pull request #1587 from stweil/clean
  *  c749d461 - Update build rules for Android
  *  bb34351f - Remove remaining deprecated "register" keyword
  *  a80a8f17 - Merge pull request #1585 from ZaMaZaN4iK/small_fixes
  *  6e568b02 - Merge remote-tracking branch 'my_repo/small_fixes' into
    small_fixes
  *  6049225d - Merge remote-tracking branch 'my_repo/small_fixes' into
    small_fixes
  *  3ce2cab7 - Merge remote-tracking branch 'my_repo/small_fixes' into
    small_fixes
  *  d54d7486 - Use std::max/std::min instead of MAX/MIN macros.
  *  14ae0b87 - Use std::max/std::min instead of MAX/MIN macros.
  *  c34e145b - Use numeric_limits instead of INT_MAX.
  *  7d08e117 - Added more const.
  *  e7e8e201 - Remove deprecated in C++11 'register' keyword (removed
    since C++17).
  *  a50b966a - Added more const and one small fix.
  *  0697235b - Use using instead of typedef. Reason:
    https://github.com/isocpp/CppCoreGuidelines/blob/master/CppCoreGuide
    lines.md#Rt-using
  *  0248c7ff - Rename all C-style headers (e.g. <stdio.h>) to C++ style
    (<cstdio>).
  *  96f8f853 - Small enhancements (adding const, etc.)
  *  6f4e1954 - Merge pull request #1581 from Shreeshrii/patch-1
  *  a9c12334 - Merge pull request #1584 from RNCTX/master
  *  663b4d2d - Update Makefile.am
  *  684e8756 - Update Makefile.am
  *  1b8ab8e4 - Merge pull request #1583 from stweil/warn
  *  c8f8f636 - TabFind: Change order of initialization code
  *  6436a696 - BLOCK: Change order of initialization code
  *  6c08ec02 - Copy .box and .tif files along with .lstmf files from
    /tmp
  *  45a65463 - Merge pull request #1569 from noahmetzger/winfix
  *  43d47f35 - Added downward compatibility for older APIs
  *  8a7f3a9c - Merge pull request #1568 from amitdo/authors
  *  af1af22f - Update AUTHORS
  *  d0570502 - Merge pull request #1567 from stweil/utf8
  *  932a108b - Revert "fixes #388 by using raw bytes utf8 encoding"
  *  2236caec - Merge pull request #1563 from Shreeshrii/Shreeshrii-
    unittest-logging
  *  07a6e641 - remove non-essential logging function
  *  8e2344a4 - Merge pull request #1561 from stweil/cid
  *  7cf7d629 - Fix CID 1390821 (Uninitialized variable)
  *  7dea6717 - Merge pull request #1557 from stweil/cid
  *  11609f95 - Fix CID 1386109 (Logically dead code)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 22 May 2018 07:30:43 +0300

tesseract (4.00~git2439-c3ed6f03-2) unstable; urgency=medium

  * Added dependency on tesseract-ocr-grc
  * Added dependency on tesseract-ocr-kmr
  * Remove dependency on tesseract-ocr-kur-ara.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 07 May 2018 20:42:17 +0300

tesseract (4.00~git2439-c3ed6f03-1) unstable; urgency=medium

  * Compile
  * Bump Standards-Version to 4.1.4
  * set "Multi-Arch: same" to binary packages libtesseract-dev,
    libtesseract4
  * fix patch - fix-up-headers, helptext, shebang.diff
  * fix libtesseract-dev.install
  * set executable flag on sh files
  * added simple test
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: c3ed6f036064e54e34f75275f66c70dd924527bf
  * Date: 1525362324
  * git changelog:
  *  c3ed6f03 - Merge pull request #1556 from noahmetzger/winfix
  *  2193f817 - Fixed CID 1164537 (possible division by zero)
  *  2645f72c - Merge pull request #1555 from stweil/msvc
  *  c9b585cf - Don't disable compiler warnings for Visual Studio
  *  fd5c93e6 - Merge pull request #1554 from stweil/msvc
  *  f54800f1 - Add /utf-8 for MSVC
  *  9ae97508 - Merge pull request #1551 from stweil/bigendian
  *  f53290ac - Merge pull request #1552 from stweil/override
  *  dc3d28cc - Use more override specifiers
  *  21d5ce57 - Fix issue with big endian handling
  *  9c1fe092 - Add assertion to detect wrong endianness handling
  *  bf9b72c6 - Merge pull request #1546 from noahmetzger/winfix
  *  a7d1402e - Fixed access to uninitialized variable
  *  984a9817 - Merge pull request #1540 from stweil/strings
  *  0efc5286 - Remove unneeded include statements for string /
    strings.h
  *  de78ef87 - Merge pull request #1539 from stweil/msvc
  *  950469e6 - Remove old hack for Visual Studio
  *  45bb9427 - Merge pull request #1534 from UniQP/override
  *  938bba3d - Add missing file.
  *  4ac3063c - Add missing override specifiers
  *  37d2088d - Merge pull request #1533 from stweil/cov
  *  fbeb55cd - Fix CID 1164526 (Resource leak in object)
  *  b87fc523 - Fix CID 1386084 (Uninitialized scalar variable)
  *  e2135de0 - Fix CID 1385633 (Dereference before null check)
  *  af72ad77 - Merge pull request #1531 from stweil/cov
  *  62df5ae6 - java: Fix CID 1386112 (Resource leak)
  *  63d57099 - java: Make SVWindow more robust (fix three CID issues)
  *  64e2efff - java: Remove unused field (fix CID 1386094 UrF: Unread
    field)
  *  3c269c9a - Merge pull request #1529 from stweil/fix
  *  a2a12a44 - Fix unittest for autotools configuration after source
    tree reorganisation
  *  4f9493c4 - Partial fix for autotools configuration after source
    tree reorganisation
  *  d15558b9 - Merge pull request #1528 from stweil/crlf
  *  dabf3c29 - Fix file endings
  *  8139ad9f - Merge pull request #1526 from stweil/crlf
  *  9ceb0c64 - Fix line endings
  *  104fe793 - Move training to src.
  *  ca5c15e6 - Set correct rc name.
  *  cfe15b9d - Remove wrong src dir from configure.
  *  8ae22b9e - Remove wrong src dir from configure.
  *  e95ff115 - Move sources into src dir. Update build scripts.
  *  e8fceb58 - Merge pull request #1523 from stweil/test
  *  95f39142 - Fix unittest (missing include path)
  *  79ab597b - Merge pull request #1522 from ic/master
  *  4ded0d06 - Revert failed attempt to support MacPort's g++
  *  b6c6cd7a - Merge pull request #1521 from stweil/coverity
  *  3b69c2bc - Fix CID 1164613 (Uninitialized pointer field)
  *  d5fb4041 - Merge pull request #1519 from stweil/winfix
  *  d5226551 - Merge pull request #1518 from amitdo/subdir-objects
  *  17f29d00 - Fix linker regression for Visual Studio
  *  c0f9699e - Merge pull request #1514 from stweil/cid
  *  acbd333c - Merge pull request #1516 from ic/master
  *  0774069d - Merge pull request #1517 from stweil/ignore
  *  c3e6083e - Remove 'AUTOMAKE_OPTIONS' from all Makefile.am files
  *  4df706e7 - Update .gitignore
  *  54b048fa - Fix wrong environment test that breaks clang++ builds.
  *  68450d86 - Fix CID 1164709 (Copy into fixed size buffer)
  *  cb77067f - Fix CID 1164710 (Copy into fixed size buffer)
  *  d3f6382b - Merge pull request #1512 from stweil/cube
  *  763b7841 - Merge pull request #1511 from stweil/nullcheck
  *  e07414f4 - training: Remove some cube relicts
  *  1b2677a2 - Remove nullptr checks before destructor
  *  e2ab6997 - Merge pull request #1506 from stweil/version
  *  577f6f76 - Merge pull request #1507 from stweil/nullptr
  *  d67df9ee - Merge pull request #1510 from Shreeshrii/Shreeshrii-
    tesstrain-msg
  *  86275c21 - Clarify message to indicate additional LSTM training
    required for 4.0.0
  *  0f3d33f6 - Change max_pages to zero
  *  58d95930 - wordrec: Replace NULL by nullptr
  *  8374e373 - vs2010: Replace NULL by nullptr
  *  f785d5c0 - viewer: Replace NULL by nullptr
  *  39cfbd04 - unittest: Replace NULL by nullptr
  *  5eca9143 - training: Replace NULL by nullptr
  *  222f5b9d - textord: Replace NULL by nullptr
  *  6e2750ce - lstm: Replace NULL by nullptr
  *  16e00b59 - dict: Replace NULL by nullptr
  *  800b290d - cutil: Replace NULL by nullptr
  *  72ac460f - classify: Replace NULL by nullptr
  *  57755a27 - ccutil: Replace NULL by nullptr
  *  e74d9976 - ccstruct: Replace NULL by nullptr
  *  5b4ce243 - ccmain: Replace NULL by nullptr
  *  17e01ee9 - api: Replace NULL by nullptr
  *  3b3216e8 - Support version names starting with non numeric
    characters
  *  6d311cc9 - Merge pull request #1504 from stweil/readme
  *  8dd56a79 - Merge pull request #1505 from stweil/winfix
  *  701bac90 - Fix tessdata prefix from executable path for Windows
  *  e8946f9e - Separate build status badges from other status badges
  *  4f56abba - Merge pull request #1501 from stweil/cmdline
  *  d68ab9f1 - training: Support new command line option -v (short form
    for --version)
  *  5435c9c7 - Merge pull request #1498 from noahmetzger/winfix
  *  7dcfd688 - Fixed possible division by zero
  *  c67a7c6e - Merge pull request #1496 from amitdo/obsolete-autoconf-
    macros
  *  822082ee - configure.ac: Remove obsolete macros
  *  621f9e20 - Merge pull request #1495 from amitdo/autoconf-1.63
  *  20254ae5 - configure.ac: Update minimum required autoconf version
    to 2.63
  *  815bab66 - Merge pull request #1492 from noahmetzger/winfix
  *  a474fd05 - Merge pull request #1493 from stweil/train
  *  f95041fa - lstmtraining: Fix handling of --max_iterations
  *  34efcd40 - Fixed a resource leak detected by Coverity
  *  21e25d18 - Fixed a memory corruption, detected by Coverity
  *  36d6cb3a - Merge pull request #1488 from stweil/cmdline
  *  9e69ecaa - Merge pull request #1484 from noahmetzger/coverity
  *  8f656e49 - training: Fix dubious parsing of command line
  *  4b468e11 - improve readability of commit
    198664fb0b78f03d9741657d77b1fe9a519684ed
  *  cd0a3e00 - Merge pull request #1486 from amitdo/pango1.22
  *  002e7a4c - Merge pull request #1487 from amitdo/obsolete-pango-1.18
  *  88a13646 - Remove obsolete code
  *  cf7c88dc - configure.ac: Check for the presence of pango 1.22.0 or
    higher
  *  808a10f7 - Merge pull request #1483 from noahmetzger/winfix
  *  67804a2d - Merge pull request #1485 from amitdo/icu52
  *  98747b37 - configure.ac - check for the present of icu 52.1 or
    higher
  *  7ff766c4 - Fixed Resource Leak detected by Coverity
  *  69c8292d - Merge pull request #1481 from stweil/version
  *  0998bcf1 - training: Support new argument --version for remaining
    executables
  *  a07ee5c4 - Merge pull request #1479 from stweil/version
  *  9f4f7157 - Merge pull request #1477 from stweil/autotools
  *  c5e3b203 - Merge pull request #1478 from stweil/typo
  *  a440bd8b - training: Support new argument --version
  *  8c3045f1 - Check library version for training executables
  *  a6fef12b - training: Add 'static' to some local functions
  *  3f967d2a - training: Remove unused function prototypes
  *  03b0cb91 - training: Format code
  *  9612ca4a - Fix compiler errors when including baseapi.h and capi.h
  *  5e9e22c7 - training: Fix typo in help text
  *  c89b1129 - configure: Remove optimize option for preprocessor
  *  147c3dea - Merge pull request #1475 from dschoerk/master
  *  2bdee5c5 - cmake switch to turn off test building
  *  da65617d - cmake switch to turn off test building
  *  d5975707 - Fixed compiler warning
  *  83f311f0 - Merge pull request #1405 from Shreeshrii/patch-2
  *  c8694788 - Merge pull request #1406 from Shreeshrii/patch-1
  *  de48cac8 - Merge pull request #1473 from noahmetzger/winfix
  *  1d4959c2 - Merge pull request #1474 from
    ic/build_4.0_macOS_compiler_options
  *  1642d882 - Remove useless echo statement.
  *  708f5542 - Add flag to build compiler options with G++ on macOS.
  *  d88a6b5c - Replace unsecure _splitpath by secure _splitpath_s
  *  b7b6b28e - Fixed Tessdata directory for Windows
  *  742a0875 - Merge branch 'master' of github.com-egorpugin:tesseract-
    ocr/tesseract
  *  7dd2ecd0 - Move cmake packages detection after compiler settings.
  *  9e1ecdb9 - Merge pull request #1467 from FernandoGOT/master
  *  3917a192 - fix for mktemp bug on MAC OS X
  *  0ddfac85 - Merge pull request #1466 from FernandoGOT/master
  *  7a5033d1 - added sleep 1 before generate_font_image to fix the
    problem of not finding fonts
  *  81821da7 - Merge pull request #1457 from stweil/asciidoc
  *  09212daf - Merge pull request #1458 from stweil/cov
  *  ef31eaa7 - Don't try to build manpages if asciidoc is missing
  *  d9156f2d - WorkingPartSet: Remove unused constructor
  *  4b50f3f4 - Merge pull request #1455 from stweil/cov
  *  7cf2e2a4 - Overload method ForwardTimeStep (CID 1385636 Explicit
    null dereferenced)
  *  437bf851 - Merge pull request #1454 from stweil/autotools
  *  f9157fd9 - configure: Don't use AM_MAINTAINER_MODE by default

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 03 May 2018 19:27:06 +0300

tesseract (4.00~git2288-10f4998a-2) unstable; urgency=medium

  * Compile
  * disable patch - fix-up-headers
  * TESSDATA_PREFIX variable was changed to /usr/share/tesseract-
    ocr/4.00
  * fix patch - man.diff
  * Add upstream/metadata
  * fix "insecure-copyright-format-uri"
  * add Version Control System location
  * moved installation path for tesstrain.sh
  * add shebang to language-specific.sh
  * add configure option --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
    (closes: #841845)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 10f4998aee3ccc68e9c4931ce744dd292ad6ff19
  * Date: 1522701055
  * git changelog:
  *  10f4998a - fix cmake build of training tools
  *  e9e1e936 - add tess_version.h to distribution
  *  64a73155 - add licence info
  *  af037c27 - rename version.h.in because the filename is too general
    for distribution
  *  f8e26eed - fix cmake windows version info for tesseract library and
    executable
  *  d28439c3 - Merge pull request #1438 from stweil/vs2010
  *  ead7759e - Merge pull request #1430 from stweil/news
  *  f29c12a0 - classify: Fix warnings from Doxygen (#1439)
  *  8701b151 - cmake: Automatically build tesseract.rc with version
    from file
  *  2cc46fa6 - BITS16: Use inline code for all constructors (#1434)
  *  832926f5 - Update library version handling for cmake (#1435)
  *  b1d291e6 - cmake: Get version information from VERSION file (#1436)
  *  9e74ed37 - Add IntCastRounded for float argument (#1433)
  *  6bbfc3b5 - Create version.h from available version information
    (#1432)
  *  53a25713 - autoconf: Get version components from PACKAGE_VERSION
    (#1431)
  *  033418e3 - Remove NEWS stub file
  *  3fcb952d - Remove unneeded CPPFLAGS (#1425)
  *  c7c738a1 - lstm: Small code optimisation (#1426)
  *  365611f2 - doc: Fix asciidoc escapes for C++ (#1427)
  *  18c8f883 - Remove deprecated parameters (#1418)
  *  3dcab4e1 - classify: Remove deprecated method ExtractIntFeat
    (#1422)
  *  bf0bddb9 - dict: Remove deprecated parameters (#1421)
  *  d13b8620 - Remove deprecated method DumpPGM (#1420)
  *  ee201e1f - Remove deprecated support for -psm argument (#1419)
  *  afcd4cbe - Remove unused local variable max_num_strokes (#1417)
  *  d087f202 - configure: Remove GIT_REV which is no longer used
    (#1416)
  *  8f7be2e7 - lstm: Replace NULL by nullptr (#1415)
  *  3fa25d9b - Install training tools with CMake.
  *  e45d9587 - arch: Remove stray ) in pragma (#1413)
  *  a02b0f97 - Remove vcsversion.h (#1412)
  *  b94bbd6e - Update version handling (#1408)
  *  8c84d29c - Fix CID 1270406, CID 1270407 and CID 1270411 Arguments
    in wrong order (#1410)
  *  660b3664 - Fix issues reported by Coverity Scan (#1409)
  *  1694be92 - tessdatamanager: Use PACKAGE_VERSION instead of
    TESSERACT_VERSION_STR (#1407)
  *  8c258750 - Simplify Makefile and add missing dependency for target
    training-install (#1403)
  *  8209ce36 - cmake: Update version and add it to config_auto.h
    (#1402)
  *  81c47288 - configure: Use m4_esyscmd_s to suppress linefeed (fix
    needed for macOS) (#1401)
  *  64af706f - arch: Fix some compiler warnings (-Wignored-qualifiers)
    (#1400)
  *  6b2a0901 - viewer: Fix some compiler warnings (-Wstringop-
    truncation) (#1399)
  *  c222145c - wordrec: Fix compiler warning (-Wstringop-truncation)
    (#1398)
  *  860dd10b - autogen: Fix typo in comment (#1396)
  *  d50769dc - autogen: Report missing requirements (#1394)
  *  023e1b34 - Use POSIX data types and macros (#878)
  *  40c71bfc - Update unittest for new script data location and fix out-
    of-tree build (#1386)
  *  49dd464e - Update googletest (#1383)
  *  47a326b0 - Use POSIX data types for external interfaces (#1358)
  *  c6afad03 - Fix compiler warning (-Wsign-compare) (#1385)
  *  15638a5c - doc: Add missing language to list (#1368)
  *  bdf66297 - Update version in README and manpages (#1381)
  *  8fb68746 - configure: Get version string from git or from VERSION
    file (#1380)
  *  2d319cb8 - configure: Update date, version and add project URL
    (#1379)
  *  df581089 - Manpages (#1378)
  *  79c6fa6d - Update package version (Visual Studio) (#1373)
  *  4b2bea79 - Update TESSERACT_VERSION_STR (#1372)
  *  14ee9119 - lstm: Use MS C intrinsic function for faster calculation
    of log2 (#1369)
  *  960007e5 - Fix compiler warning (possible loss of data) (#1370)
  *  08ef815f - doc: Remove unsupported traineddata from list (#1367)
  *  53f791ba - Remove obsolete code (#1365)
  *  59dc3e62 - Update appveyor.yml
  *  1d6e9c1d - Update appveyor.yml
  *  5845e1a2 - Add unit test for OSD, update apiexample test (#1359)
  *  7972b13e - Remove macro USE_STD_NAMESPACE (#1360)
  *  0d9cdbe6 - README: Use CamelCase for GitHub (#1357)
  *  068d43d3 - Remove old code for string class (no longer needed)
    (#1354)
  *  9035217a - Remove parameter m_data_sub_dir (#1356)
  *  cf66bc84 - Fix syntax error. (#1355)
  *  b9b08c7e - Replace log2(n) by local functions (#1353)
  *  c6e89160 - fixes for C++11 (#1164)
  *  ad6f3b41 - Fixed unqualified class "string" (#1082)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Apr 2018 21:10:12 +0300

tesseract (4.00~git2219-40f43111-1.2) unstable; urgency=medium

  * Sponsored upload

 -- Jeff Breidenbach <jab@debian.org>  Mon, 26 Feb 2018 20:23:19 -0800

tesseract (4.00~git2219-40f43111-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 40f43111e05b3dd2f2f8aeae3aba33016523c881
  * Date: 1519461445
  * git changelog:
  *  40f43111 - Add list of scripts to manpage for tesseract (#1347)
  *  bb89dc35 - Add info regarding LSTM components and options (#1346)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 25 Feb 2018 11:47:05 +0300

tesseract (4.00~git2217-44588a3c-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 44588a3c7c3756f5ddfcab3dc0a3b6a8471f70be
  * Date: 1519381675
  * git changelog:
  *  44588a3c - add commas to language list
  *  035325df - Update language list based on tessdata_fast; fix #1343
  *  6f80c35b - Update appveyor.yml
  *  0d1365a5 - gle_uncial (#1342)
  *  ce638c4b - Update appveyor.yml
  *  9f888f04 - Fix typo in documentation (#1330)
  *  8130b8d3 - Fix some typos in comments (found by codespell) (#1331)
  *  638b0258 - Fix CID 1164569 (Dereference after null check) (#1332)
  *  eb8a6a5c - Fix CID 1164570 (Dereference after null check) (#1333)
  *  6a58b2e6 - Remove whitespace.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 23 Feb 2018 23:04:37 +0300

tesseract (4.00~git2207-766b7bd6-3.1) unstable; urgency=medium

  * Sponsor Alexander Pozdnyakov

 -- Jeff Breidenbach <jab@debian.org>  Tue, 20 Feb 2018 22:58:27 +0300

tesseract (4.00~git2207-766b7bd6-3) unstable; urgency=medium

  * Fix rules https://github.com/AlexanderP/tesseract-debian/pull/1
    - Don't set CFLAGS when calling configure
    - Avoid duplicate definition of macro TESSDATA_PREFIX

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 20 Feb 2018 22:47:07 +0300

tesseract (4.00~git2207-766b7bd6-2) unstable; urgency=medium

  * TESSDATA_PREFIX variable was changed to
    /usr/share/tesseract-ocr/4.00/tessdata/

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 20 Feb 2018 20:58:14 +0300

tesseract (4.00~git2207-766b7bd6-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 766b7bd620705161ddec73f4c69aabdece4e50f6
  * Date: 1519143550
  * git changelog:
  *  766b7bd6 - Don't drop words with low certainty (#1264)
  *  af6994ef - Don't try alternate path for tessdata (#1328)
  *  2ca7d945 - Remove files generated by libtool (#1329)
  *  a50ff527 - Improve help text for OCR engine mode (#1326)
  *  349de8b7 - Support different help texts for normal and advanced
    users and restore legacy mode (#1325)
  *  173ad2bd - mark& block legacy OCR Engine until it will be removed.
  *  01f9a7f3 - Clean use of double / float (#1323)
  *  43f34f5c - Clean Makefile.am (#1322)
  *  20b3ff87 - Fix some minor issues reported by Coverity Scan (#1321)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 20 Feb 2018 20:06:42 +0300

tesseract (4.00~git2198-ce7ee87f-2) unstable; urgency=medium

  * Add a description - patches/man.diff
  * Corrected the spelling - patches/helptext, doc/combine_tessdata.1.asc
  * Fixed version of debhelper - control
  * Fix: "file contains trailing whitespace" - control,rules
  * Add: dep5 copyright
  * Build with hardening=+all.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Feb 2018 21:59:08 +0300

tesseract (4.00~git2198-ce7ee87f-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: ce7ee87fa40745f9e4cb13ec0329787afd13ff56
  * Date: 1516818671
  * git changelog:
  *  ce7ee87f - Merge pull request #1290 from amitdo/patch-1
  *  d377281f - Update CMakeLists.txt
  *  82ba4235 - Update CMakeLists.txt
  *  2da95d63 - Add more avx2, sse4.1 flags. Add MSVC's AVX2 ICE
    workaround.
  *  4b6fefb2 - Add openmp support for Visual Studio builds.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 09 Feb 2018 22:24:26 +0300

tesseract (4.00~git2193-c9169e5a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: c9169e5ac6117472d7abeeb8f0b34a72c9b635ec
  * Date: 1516436199
  * git changelog:
  *  c9169e5a - Remove unused cube OCR engine modes (#1281)
  *  10a8a67c - Remove execute permission from config file (#1263)
  *  c4d8f270 - Fix compiler warning (-Wchar-subscript) (#1259)
  *  000d027a - Rename tesseract library.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 21 Jan 2018 16:20:02 +0300

tesseract (4.00~git2189-bc668da0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: bc668da04295754b105360c77572b681ba18baac
  * Date: 1513754058
  * git changelog:
  *  bc668da0 - Update README.md (#1239)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 27 Dec 2017 10:01:26 +0300

tesseract (4.00~git2188-cdc35338-5) unstable; urgency=medium

  * Update README.debian and move to tesseract-ocr package.
  * Sponsor Alexander Pozdnyakov as maintainer.
  * Tweak tesseact --help to reduce bug reports.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 22 Jan 2018 13:27:41 -0800

tesseract (4.00~git2188-cdc35338-4) unstable; urgency=medium

  * Remove dependency on ancient Greek which is not part of Tesseract 4.

 -- Jeff Breidenbach <jab@debian.org>  Thu, 18 Jan 2018 12:07:36 -0800

tesseract (4.00~git2188-cdc35338-3) unstable; urgency=medium

  * Fix small packaging problems such as lintian warnings.
  * Update the package description.

 -- Jeff Breidenbach <jab@debian.org>  Thu, 18 Jan 2018 09:40:48 -0800

tesseract (4.00~git2188-cdc35338-2) unstable; urgency=medium

  * Remerge Alexander's PPA with Debian
  * Patch headers that were causing FTBFS for dependencies.

 -- Jeff Breidenbach <jab@debian.org>  Thu, 21 Dec 2017 22:48:20 -0800

tesseract (4.00~git2188-cdc35338-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: cdc35338c53a1af1fcb95473445f2aabfdb3f6d1
  * Date: 1513247864
  * git changelog:
  *  cdc35338 - Added check if input PSM value is outside of range
    (#1236)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 15 Dec 2017 22:17:31 +0300

tesseract (4.00~git2187-eba0ae3b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: eba0ae3b88a46a93e981770caa0b148d65cc4468
  * Date: 1511533887
  * git changelog:
  *  eba0ae3b - Merge pull request #1218 from hsen-dev/master
  *  d7513058 - fixed missing include for std::back_inserter.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 30 Nov 2017 23:27:52 +0300

tesseract (4.00~git2185-ebbfc3ae-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: ebbfc3ae8df85c351002000a76900e3086375e7b
  * Date: 1510325198
  * git changelog:
  *  ebbfc3ae - Improve robustness of function LoadDataFromFile (#1207)
  *  f3c4b894 - Fix help message for unicharset_extractor (#1206)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Nov 2017 10:13:25 +0300

tesseract (4.00~git2183-ad5ee184-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: ad5ee18415bf59b9f5d1fd1806cb3aad3f18f381
  * Date: 1508486836
  * git changelog:
  *  ad5ee184 - Make font size estimation work with the lstm engine
    (#1173)
  *  fb359fc9 - Update unicharset_extractor.cpp (#1153)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 Oct 2017 13:13:57 +0300

tesseract (4.00~git2181-1b0379c2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 1b0379c25780ded28892fb5c115bb157ab79f3ea
  * Date: 1507035951
  * git changelog:
  *  1b0379c2 - Merge pull request #1163 from cysp/bugfix/leptonica-
    pkgconfig
  *  a538cd12 - Add Leptonica's pkg-config-found library directory to
    the search path
  *  1b4fb3a7 - Update appveyor.yml

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Oct 2017 21:06:08 +0300

tesseract (4.00~git2178-2cc531e6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 2cc531e6bf0288fc8a9ad1c123a252395f00bf56
  * Date: 1505803268
  * git changelog:
  *  2cc531e6 - Merge pull request #1140 from stweil/pagebreak
  *  aa6eb6bd - Remove Tesseract parameter "include_page_breaks" and use
    FF by default
  *  3bb573ae - Merge pull request #1139 from stweil/revert
  *  07f1400e - Revert "change type to UChar32 to fix IsValidCodepoint"
  *  3b62badd - Merge pull request #1134 from
    Shreeshrii/fixvalidcodepoint
  *  a404c9cd - change type to UChar32 to fix IsValidCodepoint

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Sep 2017 14:51:52 +0300

tesseract (4.00~git2174-3b62badd-5) unstable; urgency=medium

  * Promote to unstable. Hope it goes well.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 18 Dec 2017 16:49:22 -0800

tesseract (4.00~git2174-3b62badd-4) experimental; urgency=medium

  * Remove tesseract-ocr-dev transition package, no longer needed.

 -- Jeff Breidenbach <jab@debian.org>  Sat, 16 Dec 2017 14:50:00 -0800

tesseract (4.00~git2174-3b62badd-3) experimental; urgency=medium

  * Tighten up dependencies. (closes: #836849)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 11 Dec 2017 14:45:22 -0800

tesseract (4.00~git2174-3b62badd-2) experimental; urgency=medium

  * Migrate to experimental; no source changes.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 18 Sep 2017 15:01:09 -0700

tesseract (4.00~git2174-3b62badd-1ppa1~zesty1) zesty; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 17 Sep 2017 22:12:42 +0300

tesseract (4.00~git2174-3b62badd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 3b62badd770641aa8354696eed604e8606ad74eb
  * Date: 1505655538
  * git changelog:
  *  3b62badd - Merge pull request #1134 from
    Shreeshrii/fixvalidcodepoint
  *  a404c9cd - change type to UChar32 to fix IsValidCodepoint

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 17 Sep 2017 22:12:35 +0300

tesseract (4.00~git2172-e62e8f5f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: e62e8f5f802c0d8f3dd67da993327cdafaee9763
  * Date: 1505457921
  * git changelog:
  *  e62e8f5f - Merge pull request #1109 from mingodad/mingodad-fix-
    interword-spaces
  *  188e1fc2 - Merge pull request #1128 from vidiecan/issue_1127
  *  2a77d5ad - returns the correct dictionary if lstm only used
  *  d962d344 - Merge pull request #1126 from stweil/unittest
  *  67f706f9 - unittest/apiexample_test: Use googletest API for error
    handling
  *  b42df389 - unittest/apiexample_test: Report missing test image
  *  5c7600c2 - unittest/apiexample_test: Fix test for out-of-tree
    builds
  *  86555247 - unittest/apiexample_test: Use "C" locale
  *  7e4f5faa - Merge pull request #1123 from stweil/googletest
  *  4ae227df - unittest: Fix path for libtesseract in out of tree
    builds
  *  04b0397c - Merge pull request #1120 from amitdo/multiplelibs
  *  876344f8 - Merge pull request #1121 from Shreeshrii/install-git-
    instructions
  *  c55e487e - Add additional information
  *  a905548e - Autotools build: Remove the option 'USING_MULTIPLELIBS'
  *  dd422c36 - Merge pull request #1118 from Shreeshrii/fixoverwrite
  *  4e9c9758 - fix accidental overwrite using old version
  *  7569c899 - Merge pull request #1116 from Shreeshrii/fixunittest
  *  9a038f89 - Add merge_unicharsets to build
  *  f6c22dbf - remove duplicate - gunit.h
  *  c50e4f62 - Fix cppan dependency.
  *  36e0d209 - Fix windows build.
  *  63e18620 - Disable travis os x builds as they do not work well on
    travis-side.
  *  3493785f - Fixed apiexample and intsimdmatrix tests and prepared
    Makefile.am for more tests
  *  9d258e20 - Fixed build of unicharset_extractor
  *  fc6a390c - Added intsimdmatrix as a generic integer matrixdotvector
    function with AVX2 and SSE specializations
  *  ad74e8a6 - Fixed integer overflow error
  *  4cf123e0 - Added ability to randomly rotate images upside-down
    during training for training OSD
  *  3e63918f - Fixed order of characters in ligatures of RTL languages
    issue #648
  *  a912967c - Rewrote unicharset_extractor to use the new string
    normalizer and read plain text as well as box files.
  *  c773eb57 - Fixed rendering of Thai and units of char spacing
  *  e96d1df0 - Fixed leaks in pango font info
  *  bf774382 - Updated comments on RemapOutputs
  *  0382222d - More clang-tidy fixes from sync
  *  f25cc27a - Update fopr leptonica 1.74
  *  a2a72d7c - Clang tidy changes from sync
  *  a18620cf - Improved results on images with no resolution. Estimates
    resolution from the size of the connected components, based on
    average text size.
  *  147a1a50 - Merge pull request #1112 from Sineaggi/fix-unix-simd
  *  0d7c89ea - Add -mavx and -msse4.1 compile flags on unix
  *  ea557a3e - Fix to preserve_interword_spaces work again
  *  f29498ff - Merge pull request #1088 from Shreeshrii/master
  *  3104c426 - Merge pull request #1104 from stweil/typo
  *  69ef9401 - Groundtruth for testing/eurotext.tif
  *  e0464a0d - Delete readme.md
  *  f7284569 - Use groundtruth from testing directory
  *  0ed7317c - Rename unittest/testfiles/phototest.txt to
    testing/phototest.txt
  *  61f96981 - training: Fix typos in comments (found by codespell)
  *  b9365cdf - api: Fix typo in comment
  *  10cf5084 - Changed syntax for AM_CPPFLAGS
  *  3b05b3e2 - revert blank line at end
  *  6ac5d0ba - dawg: Fix typos and file information in file header
  *  9c2fa0d1 - Merge pull request #1100 from Sineaggi/master
  *  69b9d298 - Fix version.h not being installed
  *  52cac3a4 - Fix library being named liblibtesseract on non win32
    platforms

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Sep 2017 00:24:43 +0300

tesseract (4.00~git2113-27d25e9c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 27d25e9c99ca65a2137f54f4c9c2bd20fc050024
  * Date: 1503555413
  * git changelog:
  *  27d25e9c - Merge pull request #1094 from stweil/spaces
  *  b016c48d - Add missing spaces in help text
  *  1e3bf29c - Merge pull request #1092 from stweil/fixtext
  *  8bb5a89d - Don't add empty line to text output
  *  de98a68d - Merge pull request #1089 from stweil/text
  *  742b3035 - Fix hint for training build
  *  6f13d755 - Merge pull request #1051 from stweil/googletest
  *  3847b7dd - Merge pull request #1085 from KindDragon/patch-1
  *  d171488e - Added CMake option to use system ICU library
  *  7afa05a0 - Merge pull request #1072 from stweil/listlangs
  *  197b89b6 - Merge pull request #1077 from chrismamo1/chore/cleanup-
    compiler-warnings
  *  3755a29a - Merge pull request #1076 from chrismamo1/bug/listlangs-
    without-eng
  *  6f281c36 - fix a problem I introduced in a previous commit
  *  71111674 - fix a set-but-not-used warning and add casts for
    comparing signed+unsigned numbers
  *  b89bb09f - fix a set but not used warning and cleanup some old code
    from 2007
  *  f9b51d79 - suppress a strict aliasing warning; the original author
    was very clear about the nature of the problematic code
  *  5fd3e22f - move code around so that list-langs will work without an
    English traineddata file
  *  cc0d87c5 - List available languages recursively

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Aug 2017 01:16:54 +0300

tesseract (4.00~git2092-efa50da-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: efa50daf5a47e2be82b0c994c231ac112ac223de
  * Date: 1502222714
  * git changelog:
  *  efa50da - Merge pull request #1070 from stweil/resolution
  *  0720b3f - Change default resolution from 70 to 300 dpi
  *  5f5e85e - Fixed lack of error on non-existent traineddata
  *  0a91498 - Improved error message on missing optional config
  *  4b3c5f6 - Added check for non-empty traineddata flag
  *  c67c2e9 - Add combine_lang_model to cmake and cppan builds.
  *  08ec577 - Merge pull request #1064 from stweil/win32
  *  cdec915 - Fix broken build for Windows
  *  8e55e52 - Harder unittest that uses file i/o and string
    manipulation
  *  4572940 - Portability fix to help tests compile with the same code
    in both Google and github
  *  2fbcba6 - Initial push of one simple unittest
  *  77c44cd - Added convert to int and directory listing to
    combine_tessdata
  *  2ef1aea - Added AVX2 and AVX512 detector
  *  39b168a - Removed errors introduced by git merge
  *  4e9665d - Added ADAM optimizer, unless git screwed it up, cos there
    is no diff
  *  2633fef - Part 2 of separating out the unicharset from the LSTM
    model, fixing command line for training

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 10 Aug 2017 07:06:51 +0300

tesseract (4.00~git2076-61adbdf-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 61adbdfa4bb5f17b92f8cae30fec38e3519542a2
  * Date: 1501112961
  * git changelog:
  *  61adbdf - Merge pull request #1054 from tdhintz/master
  *  67314ea - Merge pull request #1 from tdhintz/tdhintz-stdmax-patch
  *  c5a861b - Define std::max under VS2017 x64
  *  0e95e2c - Rewrote the recoder to use an encoding based on wubi
    instead of radical-stroke index, changed from normalized to
    unnormalized unichar representation
  *  b0ead95 - Changed the way unicharsets are handled to allow support
    for the ™ character. Can find the issue where it was requested.
  *  4efc539 - clang tidy on previous pull
  *  4e8018d - Important fix to RTL languages saves last space on each
    line, which was previously lost
  *  3f77354 - Removed unnecessary using statements and cleaned up
    google/non-google distinction
  *  cec1037 - Fixed BestPix to always return the highest resolution
    available, even if a lower bit depth than the original

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 27 Jul 2017 11:01:54 +0300

tesseract (4.00~git2067-66e686a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 66e686a0e6748ba8bbebacf7f22a2647032d7cef
  * Date: 1500217494
  * git changelog:
  *  66e686a - Merge pull request #1041 from stweil/leptonica
  *  900bf60 - Merge pull request #1040 from stweil/clean
  *  45fb7dd - Fixed regression of issue #644 again!
  *  ba95a68 - Use lept_free to free memory allocated by Leptonica
  *  5a7b7ed - PangoFontInfo: Remove unused method is_italic
  *  0cd71c6 - PangoFontInfo: Remove unused method is_bold
  *  fbfbf67 - PangoFontInfo: Remove unused method is_smallcaps
  *  500f913 - PangoFontInfo: Remove unused method is_monospace
  *  059e30d - PangoFontInfo: Remove unused method is_fraktur
  *  f4f66f8 - Fixed regression of issue #644
  *  4b6f0b9 - Merge pull request #1039 from stweil/clean
  *  4907a23 - Fix windows build.
  *  9929587 - Remove extra semicolons
  *  fa9e43f - Fix wrong data type in argument for sscanf
  *  f527715 - Fix type of bit values (fixes compiler warning)
  *  dc8745e - Move LSTM unicharset and recoder to traineddata with
    version string part1. Backwards compatible - maybe.
  *  7588540 - Removed changes from last commit that didn't belong
  *  3ec11bd - Deleted some dead LSTM code, making everything use the
    recoder
  *  aee910a - Fixed build broken by previous commits that added use of
    string in low-level code
  *  df41eab - Added script-specific validation and normalization for
    virama-using scripts and updated normalization for others
  *  da03e4e - Fixes from pull of cleanups: clang tidied, reviewed,
    fixed new bugs, undeleted needed code. Probably breaks the build,
    due to some inclusion of changes in utf8/32 conversion
  *  f5c18f7 - Merge pull request #1018 from hotchkiss87/fix_file_names
  *  f057938 - fix filenames in comments

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 16 Jul 2017 18:07:00 +0300

tesseract (4.00~git2044-10779bd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 10779bd9e50de527c4eb8b49cbd04618ed67367f
  * Date: 1498924078
  * git changelog:
  *  10779bd - Merge pull request #1017 from
    hotchkiss87/correct_error_message_format
  *  1d862a5 - Add new line to a few error messages.
  *  a9303a1 - Merge pull request #1014 from elopio/patch-1
  *  91afb55 - Download the leptonica source from github

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Jul 2017 10:56:02 +0300

tesseract (4.00~git2040-2b854e3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 2b854e3749d62012787dd4160fc30e86603cc540
  * Date: 1497288765
  * git changelog:
  *  2b854e3 - Merge pull request #978 from stweil/lstm
  *  8c29e68 - Merge pull request #980 from stweil/clean
  *  1cf8fe5 - Remove mathfix.h
  *  5f8ecdb - Remove local implementation of strtok_r
  *  22bcf4d - Merge pull request #979 from stweil/update
  *  a2404ae - Fix Travis CI for Leptonica 1.74.2
  *  44a5e3d - Update from Leptonica 1.74.1 to 1.74.2
  *  34d1e73 - LSTMTrainer: Catch empty vectors
  *  1e5522d - Merge pull request #975 from stweil/ocl
  *  1bbcbd8 - opencl: Fix some compiler warnings
  *  1cf098d - opencl: Remove unused code
  *  34bdf99 - Merge pull request #970 from Shreeshrii/patch-1
  *  59de660 - Merge pull request #969 from stweil/clean
  *  1263941 - Make less verbose
  *  2843739 - PangoFontInfo: Remove unused method is_italic
  *  e420417 - PangoFontInfo: Remove unused method is_bold
  *  0d411cb - PangoFontInfo: Remove unused method is_smallcaps
  *  8786e56 - PangoFontInfo: Remove unused method is_monospace
  *  4950b7e - Merge pull request #964 from Shreeshrii/master
  *  916da39 - Merge pull request #965 from Shreeshrii/docs
  *  4ed4864 - Merge pull request #966 from rfschtkt/pen_color_
  *  d0a2f1c - Merge pull request #967 from leonoverweel/patch-1
  *  945590d - Merge pull request #968 from stweil/autoconf
  *  8ec67a9 - Remove strcasestr which is no longer needed
  *  25e0c1a - PangoFontInfo: Remove unused method is_fraktur
  *  3e10991 - Change Mac OS X -> macOS
  *  2981c6c - StringRenderer::pen_color_: int[3]->double[3]
  *  4506133 - Update readme for 3.05.01
  *  79d866a - fix typo
  *  f17697b - Add badges for Doxygen and Wiki documentation
  *  063d2ed - Add link to guidelines for this repository
  *  d2471e4 - Add link to ` the guidelines for this repository`
  *  781c4c1 - Update Issue Template
  *  47cc64a - Reorganize Readme.md

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Jun 2017 10:42:34 +0300

tesseract (4.00~git2006-42066ce-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 42066ce69057dc81ae6cbc176300bb20223c7d0b
  * Date: 1495779398
  * git changelog:
  *  42066ce - Merge pull request #953 from stweil/doc
  *  add00ed - Update documentation for installation
  *  5b43c9b - use correct name for Mac OS X, correct link to training
    wiki; fix #818
  *  6dd871b - Merge pull request #942 from stweil/openmp
  *  15b3596 - Optimize LSTM code for builds without OpenMP
  *  5a06417 - Merge pull request #937 from stweil/fix
  *  fb863c9 - UNICHARSET: Add missing initialization
  *  da1254d - Merge pull request #936 from stweil/opt
  *  e6d6839 - Reduce number of new / delete operations for class
    LanguageModel
  *  562de89 - Reduce number of new / delete operations for class
    KDTreeSearch
  *  95bf30d - Update README.md
  *  baf6cfe - Merge pull request #935 from stweil/coverity
  *  edeb0a4 - README: Add Coverity badge
  *  84db453 - Merge pull request #934 from stweil/opencl
  *  df36c85 - opencl: Remove more unused code
  *  f581497 - Merge pull request #932 from stweil/dockerfile
  *  defb399 - Fix and improve Dockerfile
  *  482cd82 - Merge pull request #930 from stweil/opt
  *  fef5972 - EquationDetect: Remove unneeded new / delete operations
  *  8bd2fa7 - Merge pull request #927 from stweil/inttypes
  *  e05f4c6 - Remove obsolete comments and unused code from
    ccutil/host.h
  *  3a6a8d7 - Replace Standard C library header files by C++ header
    files
  *  697f842 - Merge pull request #925 from stweil/opt
  *  0ba202f - Remove unneeded null pointer check
  *  46ca830 - genericvector: Add overloaded LoadDataFromFile
  *  852b678 - Merge pull request #922 from stweil/automake
  *  5d60444 - automake: Enable all warnings and fix a warning
  *  2a4483d - Merge pull request #920 from stweil/fix
  *  079d6b9 - Improve robustness of TessdataManager

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 28 May 2017 16:45:03 +0300

tesseract (4.00~git1977-ffb1ec3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: ffb1ec353568af6068b03dd25500a6a171e6b314
  * Date: 1494696826
  * git changelog:
  *  ffb1ec3 - Merge pull request #918 from rfschtkt/issue529
  *  5c8f88b - Merge pull request #917 from stweil/crashfix
  *  8b939b0 - Merge pull request #915 from stweil/tessdatamanager
  *  b4cf466 - Issue #529: inside main() use return rather than exit
  *  9a5ed19 - Issue #529: cleanup
  *  8439670 - Fix crash if output file could not be opened
  *  db8750e - Remove unused method TessdataManager::LoadFileLater
  *  65b839e - Remove unused method TessdataManager::OverwriteEntry
  *  6bebe71 - Merge pull request #910 from stweil/opt
  *  29f3de9 - Merge pull request #914 from stweil/clean
  *  4e93259 - Merge pull request #912 from stweil/leak
  *  81ad09b - Merge pull request #913 from stephengroat/patch-1
  *  5dc4af6 - baseapi: Simplify code
  *  69296f8 - Clean method UNICHARSET::add_script
  *  7814259 - Fix order of destructor calls for DawgCache and
    TessBaseAPI
  *  b4b1406 - shouldn't rely on different install
  *  14baca3 - test brew installs but allow failures
  *  f37f858 - main: Fix two memory leaks
  *  af212af - Merge pull request #909 from stweil/include
  *  3a67ff9 - Optimize code by replacing init_to_size with
    resize_no_init
  *  bb2348b - genericvector: Fix and optimize function LoadDataFromFile
  *  80f51c3 - ccutil: Remove unneeded include statement
  *  21e739c - Merge pull request #907 from stweil/no-tiff
  *  5e3665c - Remove most libtiff dependencies
  *  2b373d1 - Merge pull request #896 from rfschtkt/toomanywarnings
  *  8dad542 - Fewer g++ -Wunused-variable warnings
  *  7f382df - Fewer g++ -Wsign-compare warnings (cont.)
  *  c335508 - Fewer g++ -Wsign-compare warnings
  *  1bd561d - Fewer g++ -Wmaybe-uninitialized warnings
  *  da3c462 - Merge pull request #906 from stweil/casts
  *  7831a35 - ccutil: Simplify code (removes type cast)
  *  8c75d26 - Remove unneeded type casts when using Leptonica macro
    GET_DATA_BYTE
  *  8b65bb3 - Merge pull request #905 from stweil/formatstring
  *  121a7c6 - ccstruct: Fix non portable and wrong format strings
  *  9abbc4c - ccstruct: Fix wrong format string
  *  0c88b72 - training: Fix format error and some compiler warnings
  *  9266f01 - Remove macros which are no longer needed
  *  ef1d960 - Use standard macros for format strings
  *  f2252fd - Introduce standard macros for format specifiers
  *  2008daf - Merge pull request #904 from stweil/rangecheck
  *  64994a2 - Merge pull request #900 from rfschtkt/cast
  *  9b998a7 - Merge pull request #897 from rfschtkt/RAII
  *  c273f85 - Improve index range check
  *  7a99a41 - Merge pull request #903 from stweil/formatstring
  *  3cccae6 - Fix wrong format string
  *  190584f - RAII: PB_LINE_IT::get_line(): was leaked inside
    POLY_BLOCK::fill()
  *  8aa0a2d - RAII: *::GetUNLVText()
  *  1dab239 - RAII: *::GetBoxText()
  *  b7b68a6 - RAII: *::GetTSVText()
  *  a1fff87 - RAII: *::GetHOCRText()
  *  986970d - RAII: pdfrenderer.cpp: pdftext
  *  3c6e18e - RAII: pdfrenderer.cpp: buffer
  *  936ca00 - RAII: pdfrenderer.cpp: cidtogidmap
  *  2772f78 - RAII: LTRResultIterator::GetUTF8Text
  *  f75665c - RAII: TessBaseAPI::GetUTF8Text()
  *  4840c65 - RAII: ResultIterator::GetUTF8Text(): was leaked inside
    TessBaseAPI::GetUTF8Text()
  *  3983d2f - Reviewed uses of reinterpret_cast
  *  3454061 - Update README.md
  *  d4b5136 - Merge pull request #899 from chongzhe/patch-1
  *  a9c1dde - Update README.md
  *  b86b4fa - Better fix for re-enabling training
  *  0afd593 - Use NDEBUG macro instead of DEBUG.
  *  2ea946d - Turn on building of text2image.
  *  6ba14f3 - Update appveyor.yml
  *  7dcd2ff - Update CMakeLists.txt
  *  6d9243c - Update appveyor.yml
  *  549cf27 - Update appveyor.yml
  *  96ab9c3 - Update appveyor.yml
  *  afe64eb - Merge pull request #890 from stweil/ci
  *  82b70aa - Add cache to Appveyor CI
  *  4b83261 - Don't redirect build output to file for Appveyor CI
  *  d18931e - Fixed int types for imported tf networks
  *  4fa463c - Corrected SetEnableTraining for recovery from a recognize-
    only model.
  *  006a56c - Merge pull request #885 from stweil/ci
  *  f5494a7 - Update and improve configuration for Travis CI
  *  00d6d94 - Merge pull request #877 from stweil/opencl
  *  d53254e - opencl: Add 'static' attributes for local functions and
    variables

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 May 2017 11:37:12 +0300

tesseract (4.00~git1900-8e79297-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 8e79297dcefecdb929d753d28554fec51417ec39
  * Date: 1493852984
  * git changelog:
  *  8e79297 - Final part of endian improvement. Adds big-endian support
    to lstm and fixes issue 518
  *  6ac31dc - Fixed DetectOS so it doesn't crash with a big image
  *  926a066 - Merge pull request #867 from stweil/fix
  *  46c887b - genericvector: Fix minimum size
  *  b2454d2 - Merge pull request #865 from stweil/posix
  *  5cc8c05 - ccmain: Replace Tesseract data types by POSIX data types
  *  e7794c0 - arch: Replace Tesseract data types by POSIX data types
  *  c1d649e - api: Replace Tesseract data types by POSIX data types
  *  b4d7705 - Merge pull request #863 from stweil/warnings
  *  048cf9d - Remove unused local variables
  *  5eb9f0c - Merge pull request #862 from stweil/doc
  *  b8137d8 - Merge pull request #861 from stweil/malloc
  *  2f48d69 - doc: Fix use of MAINTAINER_MODE
  *  6bfde5d - Remove undefined macro MAC_OR_DOS
  *  030d29a - cutil: Remove unused freelist.c and freelist.h
  *  e219ad1 - classify: Replace memfree by free
  *  1d6dd03 - training: Replace memfree by free
  *  ca89a11 - cutil: Remove unused code using memfree
  *  80fdb63 - classify: Remove unused ContextsSeen
  *  b9dff16 - Merge pull request #860 from stweil/malloc
  *  300841f - Replace memalloc / memfree by C++ new / delete
  *  ebea04e - Merge pull request #859 from stweil/unused
  *  85afda6 - blobs: Remove unused macro
  *  aebdcd8 - Remove unused global function memrealloc
  *  445befd - Remove unused include statements for freelist.h
  *  857d920 - Merge pull request #856 from stweil/doc
  *  6e80812 - Merge pull request #857 from stweil/new_delete
  *  6d19e7c - SVNetwork: Avoid unneeded new / delete operations
  *  83588bc - Classify: Avoid unneeded new / delete operations
  *  bb75793 - ccstruct: Remove unneeded NULL checks
  *  aea0d9a - api: Remove unneeded NULL checks
  *  fd3f8f9 - Merge pull request #352 from pnordhus/reduce_mallocs
  *  a28b2a0 - Merge pull request #855 from stweil/lept
  *  eaf5629 - Merge pull request #744 from stweil/malloc
  *  2794410 - doc: Remove generated files and add rules to build
    manpages
  *  1c59914 - Use Leptonica struct names L_Compressed_Data, Pix
  *  f8fba59 - Replace alloc_struct, free_struct
  *  7a116ce - More formatting fixes from clang tidy
  *  7701552 - Jeff's fixes to pdf rendering
  *  13b7900 - Merge pull request #778 from cjmayo/singleopts
  *  177ceff - Merge pull request #853 from stweil/doc
  *  84f78f8 - Merge pull request #851 from stweil/typo
  *  151a76e - doc: Remove unsupported font name
  *  73db84d - Fix typo in comment
  *  500bfaf - Added std:: to some stl types
  *  1cc5111 - Added extra Init that takes a memory buffer or a
    filereader function pointer to enable read of traineddata from
    memory or foreign file systems. Updated existing readers to use
    TFile API instead of FILE. This does not yet add big-endian
    capability to LSTM, but it is very easy from here.
  *  10e04ff - Merge pull request #849 from stweil/opencl
  *  394162e - Merge pull request #848 from stweil/lept
  *  72b86e0 - Merge pull request #847 from stweil/crash
  *  582eaeb - opencl: Remove more unused functions and related code
  *  b5abfb5 - ccstruct: Fix Leptonica data type
  *  1e11b16 - opencl: Fix crash on hosts with no OpenCL platform
  *  50f92c8 - Merge pull request #843 from stweil/opencl
  *  e8ca29f - opencl: Remove unused function selectedDeviceIsNativeCPU
  *  bf9160c - opencl: Remove unused function pixConvertRGBToGray
  *  7bb00d9 - Merge pull request #834 from stweil/master
  *  e2b1e9f - Fix ChangeLog for Leptonica 1.74
  *  a3e0c10 - Remove unneeded code for old Leptonica versions
  *  325de57 - Update Leptonica version for Travis CI
  *  11b244f - Merge pull request #831 from aleksey-nikolaev/cmake-
    install
  *  be747a5 - Correct include path for installed project
  *  6641989 - Cmake install
  *  e18a802 - Merge pull request #823 from RandomDSdevel/typo-fixes
  *  6614b86 - Merge pull request #824 from stweil/typo
  *  2be8676 - autogen.sh:  Small Typo Fix
  *  8f8651b - Fix typo
  *  7231e67 - typo in comment
  *  6393e61 - Merge pull request #816 from stweil/codacy
  *  934e612 - testing: Fix warnings from shellcheck
  *  afd6b7d - Merge pull request #813 from jbarlow83/4.00-opencl
  *  f54577e - Fix #786 - 3.05 linkage fails on macOS Sierra with --
    enable-opencl
  *  36a995b - Merge pull request #812 from stweil/readme
  *  98961ed - README: Update stable version
  *  5baa8c8 - Merge pull request #808 from stweil/macos
  *  31cb732 - opencl: Add missing TIFF library for macOS

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 05 May 2017 09:07:29 +0300

tesseract (4.00~git1822-cf0b378-1ppa1~yakkety1) yakkety; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 09 Apr 2017 22:20:14 +0300

tesseract (4.00~git1822-cf0b378-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: cf0b378577e7ed0c75bfaf97cae7e35d7634cf4d
  * Date: 1491239260
  * git changelog:
  *  cf0b378 - Merge pull request #801 from amitdo/readme-compilers
  *  3357e25 - Update README.md
  *  168e799 - Merge pull request #800 from atuyosi/fix-makefile
  *  9038faf - Better escaping for PDF title; fixes #636
  *  c38eeda - Merge pull request #797 from stweil/warnings
  *  82d62f8 - Update Makefile.am (add 'lstm.train')
  *  c1a01d0 - opencl: Fix some compiler warnings [-Wunused-function]
  *  362b68e - Update .travis.yml
  *  ddd901b - Update .travis.yml
  *  b9dd8be - Update .travis.yml
  *  0488a0c - Update .travis.yml
  *  f837cc0 - Merge pull request #783 from Shreeshrii/patch-1
  *  f7ca771 - Update ChangeLog
  *  62bb7e2 - Fixed update date to 2017-03-24
  *  366e1be - Update ChangeLog
  *  cce32f1 - Updated changelog for 2016-11-11 to 2017-March - V4.00.00-
    alpha

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 08 Apr 2017 20:08:57 +0300

tesseract (4.00~git1805-cf245f8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: cf245f8f5c56d5d8af9eef43e821dc7432b253dd
  * Date: 1490349583
  * git changelog:
  *  cf245f8 - Merge pull request #787 from ipylypiv/master
  *  cea24b7 - Remove redundant condition from
    TessBaseAPI::AdaptToWordStr()
  *  d2fcfca - Update appveyor.yml
  *  8d7a2bc - Update appveyor.yml
  *  f58522a - Update appveyor.yml
  *  1a4f61a - Update appveyor.yml
  *  14b1de3 - Update appveyor.yml
  *  6c3d8fa - Ignore bin dir.
  *  2b52915 - add 3.05 to ChangeLog
  *  a51d0d4 - Merge pull request #770 from wilsonmar/typofix
  *  446f5c0 - Update README.md heading markdown

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Mar 2017 20:29:44 +0300

tesseract (4.00~git1794-7c27088-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 7c27088b6498efbfe570c02485472bf60b6bed1d
  * Date: 1489505132
  * git changelog:
  *  7c27088 - Update appveyor.yml
  *  e97ada8 - Update appveyor.yml
  *  5a37a8b - Update CMakeLists.txt
  *  5ca1e12 - Update appveyor.yml
  *  019d16c - Update appveyor.yml
  *  8349da8 - Update appveyor.yml
  *  323f26f - Merge pull request #755 from stweil/doc
  *  becec34 - Fix some typos in comments (found by codespell)
  *  31486f7 - Merge pull request #700 from elopio/snapcraft
  *  fe986df - Merge pull request #752 from stweil/warn
  *  ace9d2a - Merge pull request #750 from RandomDSdevel/autogen_sh-
    fix_1
  *  df88730 - [`autogen.sh`:]  Improve `libtoolize` invocation message.
  *  bcba09c - [`autogen.sh`:]  Clarify `libtoolize`/`glibtoolize`
    existence check error message.
  *  e08ed04 - [`autogen.sh`:]  Reduce in-script comment block width to
    80 characters.
  *  da4f7fd - [`autogen.sh`:]  Abstract the absolute path of
    `libtoolize` or `glibtoolize` away into `$LIBTOOLIZE`.
  *  b6eb8be - Update CMakeLists.txt
  *  dabf3f3 - classify: Remove unused local function
  *  363f131 - ccutil: Remove unused variable
  *  7b33dad - api: Remove unused variables
  *  dcc8666 - lstm: Remove unused variable
  *  ae53ed6 - Merge pull request #749 from stweil/warn
  *  cd925fd - Fix indentation after conditional [-Wmisleading-
    indentation]

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Mar 2017 15:55:05 +0300

tesseract (4.00~git1771-b851d47-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: b851d47b9c9b20b0579690d85fbbb866d312960a
  * Date: 1488492345
  * git changelog:
  *  b851d47 - Merge pull request #742 from stweil/doc
  *  ef113d1 - Use camel case for GitHub in README.md
  *  d3a694a - Merge pull request #741 from solomennikm/fix-reading-
    carriage-return-in-config-files
  *  ba4b603 - Correct reading config files with \r\n
  *  e68e487 - Merge pull request #738 from stweil/avx
  *  e663d00 - Support AVX for 32 bit platforms
  *  6a7831b - Remove global sse define from cppan.
  *  182c6bb - Fix cppan dir.
  *  e376ffc - Fix avx on windows.
  *  4cd5e91 - Update cppan dependencies.
  *  5118384 - Fix sse4.1 on windows.
  *  0dcb6b3 - Rename cppan/cmake projects.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Mar 2017 21:06:54 +0300

tesseract (4.00~git1759-a011b15-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: a011b15b0d5c0113920a6478af4e38a9b5640993
  * Date: 1487174977
  * git changelog:
  *  a011b15 - fix #712: Ghostscript mangling Tesseract-produced PDFs
  *  2f10be5 - Update CMakeLists.txt
  *  d79c11b - Merge pull request #702 from stweil/typo
  *  f6eed01 - Fix typo in comment

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Feb 2017 21:27:49 +0300

tesseract (4.00~git1755-0ff26ee-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 0ff26ee3de166659970d80e50aef4000ff2557b2
  * Date: 1486106115
  * git changelog:
  *  0ff26ee - Merge pull request #698 from stweil/configure
  *  b7ef3e0 - configure: Run AVX test only with 64 bit compiler
  *  bd45b3a - fix #537: Error in pixClone: pixs not defined
  *  fd0683f - remove obsolete OpenCl code from
    TessBaseAPI::ProcessPagesMultipageTiff; fixes #635
  *  5291ae9 - Merge pull request #680 from voyageur/disable_graphics
  *  5de844f - Merge pull request #687 from jwilk/spelling
  *  bf9f40c - Fix typos
  *  57b7236 - Provide SVSync::StartThread() with GRAPHICS_DISABLED
  *  4c39775 - Fix Network declarations with GRAPHICS_DISABLED
  *  8aeb73e - Partial fix for GRAPHICS_DISABLED build, issue #679
  *  f566a45 - clang-tidy changes from sync
  *  a1c22fb - Fixed issue #557
  *  b453f74 - Fixed issue #633 (multi-language mode
  *  ca16a08 - Removed dead TODO
  *  9b604b1 - Fix possible warning when WIN32_LEAN_AND_MEAN is already
    defined.
  *  d6f2ba8 - Update cppan.yml
  *  a8e8bac - Merge pull request #666 from solomennikm/err-err_exit
  *  65b3dde - Merge pull request #675 from stweil/macos-simd-detect
  *  fa677f1 - Implement SIMD detection on macOS-gcc; complain if no
    SIMD detection

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Feb 2017 21:03:54 +0300

tesseract (4.00~git1735-c768b58-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: c768b5867dc398d3c02c854717caa2f633935936
  * Date: 1485012546
  * git changelog:
  *  c768b58 - Merge pull request #668 from Wikinaut/chg-textonly-pdf-
    parameter-description
  *  c03299e - Improve textonly_pdf parameter description
  *  1602234 - Merge pull request #671 from stweil/warnings
  *  ef70865 - Merge pull request #669 from Wikinaut/fix-typo-in-
    parameter-description
  *  465e2de - lstm: Remove unused constant and unused local variables
  *  134a253 - ccstruct: Remove unused local variable
  *  98df78c - fix typo in parameter description
  *  8ce58ac - Fix C-API
  *  3d9fb3b - Merge pull request #667 from jbarlow83/slash-xobject
  *  bf638b9 - Fix PDF syntax error: "XObject" instead of "/XObject"
    when textonly_pdf=false
  *  effa574 - Implement invisible text only for PDF
  *  a979494 - fix #665 process file list
  *  170573f - Merge pull request #662 from amitdo/remove-hashfn2
  *  080eb73 - Update cppan.yml
  *  1920288 - Update appveyor.yml
  *  5d627aa - Remove code that is no longer needed
  *  e2ee780 - Uncomment silent options for cppan.
  *  fd835d3 - Merge pull request #658 from Wikinaut/patch-1
  *  f06ef54 - typo correction "specific"
  *  39274d8 - typo correction "specific"
  *  89f33c5 - Update appveyor.yml
  *  809e49a - Update appveyor.yml
  *  a79d0c9 - Update appveyor.yml
  *  ef9932a - Update appveyor.yml
  *  d2bcd00 - Update appveyor.yml
  *  f02027d - Update appveyor.yml
  *  dc97e92 - Merge branch 'master' of github.com-egorpugin:tesseract-
    ocr/tesseract
  *  7156a7e - Add text2image binary when building with cppan.
  *  429347b - Update appveyor.yml
  *  9bdb711 - Update appveyor.yml
  *  4d9609d - Update appveyor.yml
  *  6b3f20b - Update appveyor.yml
  *  30e68f9 - Update appveyor.yml
  *  5b45e5a - Update cppan.yml
  *  8fd8cc7 - Merge pull request #643 from amitdo/autoconf-non-cpp11-
    error
  *  e682954 - configure.ac: Exit if compiler does not have c++11
    support

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Jan 2017 13:14:12 +0300

tesseract (4.00~git1699-263a4d2-2) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 263a4d2601bad3bfac9fa12001a214c08582b81a
  * Date: 1483807566
  * git changelog:
  *  263a4d2 - Update README.md
  *  6f83ba0 - Add include dirs to cppan config.
  *  2a5a915 - Add training tool deps.
  *  3817aa3 - Fix windows dll build.
  *  e6ccfb2 - Merge pull request #625 from stweil/lstm
  *  534a237 - Move AVX / SSE messages to function PrintVersionInfo
    (crash fix)
  *  38033ce - Merge pull request #618 from stweil/lstm
  *  19616b0 - lstm: Move class SIMDDetect to new source file and
    improve code
  *  e949812 - Merge pull request #617 from stweil/lept
  *  680bfdd - Remove code for old versions of Leptonica
  *  e8d477c - Merge pull request #616 from stweil/lstm
  *  5cfe0c7 - lstm: Add AVX / SSE support for Windows
  *  b2a0262 - lstm: Update AVX / SSE support
  *  fc94820 - Update appveyor.yml
  *  25fed52 - Merge pull request #614 from stweil/lept
  *  9a4a321 - Fix build for non x86
  *  21a5c51 - Update INSTALL.GIT.md
  *  f4ea71e - Update CMakeLists.txt
  *  04f4370 - Update appveyor.yml
  *  1127d01 - Update CMakeLists.txt
  *  3566a1d - Merge pull request #613 from stweil/lept
  *  c160f80 - Add error message with cmake 3.6.
  *  7a9a2f7 - Fix Leptonica version check for cmake
  *  c124f87 - Merge pull request #608 from amitdo/cmake-leptonica-1740
  *  4332264 - CMake - Set minimum Leptonica version to 1.74.0

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Jan 2017 21:24:09 +0300

tesseract (4.00~git1674-c7caaaf-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: c7caaaf8cd8841b0156d6ee6e98b81d5fcaa66f8
  * Date: 1482605055
  * git changelog:
  *  c7caaaf - Update cppan.yml
  *  cbd4f54 - Merge pull request #605 from amitdo/travis-leptonica-174
  *  b0b4c57 - Travis CI - Update Leptonica to 1.74.0
  *  c1f191c - Travis CI - Update Leptonica to 1.74.0
  *  7f14e17 - Travis CI - Update Leptonica to 1.74
  *  11f2057 - Multi-page TIFF buffering is broken - fix #233
  *  38cb4ac - require leptonica 1.74 or higher
  *  29ad9ac - Add tesseractmain.
  *  e8b2e39 - Add training tools to cppan config.
  *  1950a49 - Merge pull request #603 from stweil/opencl
  *  b262136 - opencl: Show up to four OpenCL platforms
  *  02a6970 - autotools: test if compiler support -mavx and -msse4.1
  *  54611c1 - increase min autoconf version (2.59). Fixes #598.
  *  8b3c6ac - Merge branch 'master' of github.com-egorpugin:tesseract-
    ocr/tesseract
  *  f0bbf1a - Update cppan config.
  *  c1ee2fe - Merge pull request #597 from techtonik/patch-1
  *  df8dcf1 - AppVeyor: add build version
  *  c8fcc89 - AppVeyor: add downloadable builds
  *  bf10925 - Merge pull request #595 from stweil/lept
  *  c07c465 - Add missing Leptonica linker flags (needed for macOS)
  *  5bddb99 - Update appveyor.yml
  *  7a9f74c - Update appveyor.yml
  *  cb91c2c - Update appveyor.yml
  *  560978b - Update appveyor.yml
  *  21d8686 - Update appveyor.yml
  *  e3491de - Update appveyor.yml

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 25 Dec 2016 12:03:52 +0300

tesseract (4.00~git1648-2d1decb-2) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 2d1decbdcfbcfb8e92cde429a92386b4c702c938
  * Date: 1481988821
  * git changelog:
  *  2d1decb - Disable training tools on appveyor because of installed
    cmake 3.6 bug.
  *  2a9e162 - Update appveyor.yml
  *  26dfac7 - Update appveyor.yml
  *  1305002 - Temporarily unsilent appveyor build.
  *  442b5b7 - Fix building of training tools in shared configuration.
  *  fc13f96 - Merge pull request #587 from stweil/cube
  *  5b23f71 - Remove support for VS2010
  *  e2e0b90 - Merge pull request #586 from stweil/cube
  *  de0aff1 - doc: Remove cube related documentation
  *  e11009e - .gitignore: Remove cube code
  *  f8dffec - fix training build addition to 7c684be7245a (Add missing
    linker flags for Leptonica)
  *  cb886a0 - Merge pull request #568 from stweil/opencl
  *  87a5b9b - Merge pull request #585 from stweil/build
  *  7c684be - Add missing linker flags for Leptonica
  *  9d4050f - Merge pull request #583 from neoneye/master
  *  d38cffc - Fixed typo
  *  46da0ea - Update appveyor.yml
  *  a3f1227 - Update appveyor.yml
  *  6c46cd7 - Update appveyor.yml
  *  ea37493 - Update appveyor.yml
  *  27ecaf7 - Update appveyor.yml
  *  c1a0d19 - Update appveyor.yml
  *  a220204 - Update appveyor.yml
  *  f995adf - Update appveyor.yml
  *  2be79ac - Update appveyor.yml
  *  8ef28f1 - Update appveyor.yml
  *  dd91c1e - Turn on silent building for CIs with cppan.
  *  9f763e5 - Update SourceGroups.cmake
  *  393c725 - Merge pull request #580 from amitdo/android-remove-cube
  *  30ad392 - Merge pull request #579 from stweil/master
  *  06fb884 - Update Android.mk
  *  23a7330 - Fix page range in log message
  *  ead87a7 - Fix build.
  *  831e161 - Merge pull request #569 from stweil/nullptr
  *  d77a9b7 - Merge pull request #577 from stweil/config
  *  a020183 - Merge pull request #576 from stweil/shellcheck
  *  da4c064 - Merge pull request #531 from stweil/guards
  *  cb6e9e0 - training: Replace NULL by nullptr
  *  9d6e4f6 - Fixed capi to remove cube part 2
  *  4b0dae5 - Fixed capi to remove cube
  *  0b76f26 - More makefile changes to remove cube
  *  81ebba0 - More makefile changes to remove cube
  *  5c3839b - Delete cube code
  *  432684d - Makefile changes to remove cube
  *  9f5ba91 - Removed dependency on cube from the code
  *  5129c43 - Stopped error messages from pixaGetCount
  *  d70f3c3 - Simplify configuration for Leptonica
  *  b75beda - Fix some issues reported by shellcheck (SC2004, SC2006)
  *  13e46ae - Made LSTM the default engine, pushed cube out
  *  dc12404 - Merge pull request #572 from stweil/mingw64
  *  3a5446b - Use pkg-config for Leptonica compiler flags
  *  9ec0c4f - api: Add missing dependency on libtiff
  *  a9b300d - Use pkg-config for icu compiler and linker flags
  *  aa964b5 - opencl: Fix runtime crash when no device was found
  *  9234b4c - Merge pull request #565 from stweil/openmp
  *  224eb8a - openmp: Fix OpenMP support
  *  faeb0d6 - Merge pull request #563 from stweil/java
  *  92f2eda - java: Improve build rules
  *  49401e6 - Merge pull request #558 from stweil/typo
  *  a87d073 - Fix two typos in comments

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 18 Dec 2016 11:26:12 +0300

tesseract (4.00~git1585-0c7ada4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 0c7ada4e1181a3633b82cf27d4c9de293cee17e2
  * Date: 1481308896
  * git changelog:
  *  0c7ada4 - Merge pull request #551 from amitdo/del-unused-listio
  *  1901aae - Remove 'listio.cpp' and 'listio.h' from vs2010 vcxproj
  *  d2d708c - Remove unused code.
  *  3a47adc - Merge pull request #544 from jbarlow83/master
  *  56b6f06 - Revise after code review
  *  3c0c54f - Merge pull request #353 from
    pnordhus/remove_dawgpositionvector_dtor
  *  fb7298e - Remove unsafe API TessBaseAPIDetectOS entirely
  *  bc95798 - Implement a new orientation and script detection API for
    C and C++
  *  ed4c4c6 - Produce warning for invalid resolution. Fix #453
  *  94aebb1 - Merge pull request #543 from stweil/leptonica
  *  217a4dd - tesseract: Disable Leptonica messages
  *  929d25c - Merge pull request #533 from stweil/crlf
  *  7f7cea1 - Merge pull request #532 from stweil/openmp
  *  8cf7539 - Merge pull request #539 from stweil/mingw-w64
  *  7755e05 - training: Update Makefile for current Mingw-w64
  *  d55f462 - More clang-tidy from previous commits
  *  025689f - Fixed damage to binary images when processing PDFs, issue
    #535
  *  7744da9 - Fixed Android build breakage
  *  6551779 - Added missing lstm.train
  *  5deebe6 - Fixed multilang for LSTM, pushed cube to one side without
    actually deleting it
  *  61d0e8f - doc: Fix line endings
  *  6140be6 - openmp: Fix build with clang++ and compilers without
    OpenMP support
  *  798d79a - Update cppan.yml
  *  c1ec06c - Merge pull request #530 from stweil/clang
  *  9ec5cd3 - Merge pull request #528 from stweil/opencl
  *  cefc420 - Remove extra semicolons after member function definitions
  *  2bb0d9a - opencl: Add missing checks for OpenCL failures
  *  3e11fc1 - Merge pull request #524 from stweil/coverity
  *  7e3ff36 - cube: Fix coverity warning caused by unneeded null
    pointer check
  *  4704fca - cube: Fix use after free regression
  *  4ac54a2 - Merge pull request #523 from stweil/casts
  *  a389b7c - opencl: Remove unneeded and potentially bad type casts
  *  e4faf95 - Merge pull request #515 from stweil/parameters
  *  6906162 - Merge pull request #514 from stweil/free
  *  875db24 - Merge pull request #503 from stweil/modernize
  *  906438f - Merge pull request #506 from stweil/lstm
  *  dc06621 - opencl: Replace NULL by nullptr
  *  397bcc6 - opencl: Replace Tesseract data types by POSIX data types
  *  9e0da72 - lstm: Fix possible float division by zero
  *  dfd7082 - lstm: Fix explicit null dereferenced
  *  f3e8895 - lstm: Pass big parameter by reference (performance)
  *  bb6cfc1 - lstm: Initialize member variable beam_size_
  *  06b28a1 - lstm: Initialize member variable input_width_
  *  afd069c - Fix build.
  *  68aa285 - Update CMakeLists.txt
  *  ce76d1c - Fixes to training process to allow incremental training
    from a recognition model
  *  9d90567 - Added std:: to vector
  *  53003f9 - Formatting changes from clang_tidy on latest pull
  *  92d981b - Change tesseract parameter -psm to --psm
  *  d2f9264 - Change tesseract parameter -oem to --oem
  *  78d9170 - Simplify new operations
  *  03eec61 - cube: Simplify new operations
  *  23e420a - Merge pull request #512 from NinnOgTonic/master
  *  392e32d - Correcting link for 3rd party wiki pages
  *  0d4d36f - Merge pull request #508 from stweil/cube
  *  5d3926e - Merge pull request #507 from stweil/free
  *  dd9452c - Merge pull request #511 from stweil/mingw
  *  faea44c - mingw-w64: Fix compiler warnings caused by macro
    redefinition
  *  120a5db - Fix build for Mingw-w64
  *  185a264 - Fixed the memory leak/double free cleanly
  *  3d00d3b - Missing pdf font file from previous sync
  *  f60ff4d - cube/char_samp: Fix some memory leaks
  *  614f44a - cube/char_bigrams: Fix some memory leaks
  *  c46e773 - cube: Simplify delete operations
  *  d2389a8 - Merge pull request #505 from amitdo/contributors-2
  *  ec99d9f - AUTHORS: Add more contributors
  *  7b5b167 - Merge pull request #494 from stweil/free
  *  0df77e3 - Merge pull request #501 from stweil/warn
  *  d0213fa - Switch leptonica back to master.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 09 Dec 2016 23:05:45 +0300

tesseract (3.05.00~git20161125-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: cf90e8569719a18aeed4d503fefa7688255430d7
  * Date: 1480092343
  * git changelog:
  *  cf90e85 - Merge pull request #502 from stweil/ocl
  *  ba6961e - opencl: Fix OpenCL kernel code assertion for newer
    versions
  *  786b482 - opencl: Format OpenCL kernel code
  *  0020fbc - opencl: Clean whitespace issues in OpenCL kernel code
  *  a8f4441 - Fix build with leptonica 1.73.
  *  b4fcd0d - Set leptonica-1.73 as a dependency instead of master.
  *  67deea5 - Fix unix build.
  *  6444695 - Fix windows build.
  *  64159c7 - Merge pull request #177 from stweil/posix
  *  ed81de9 - Merge branch 'master' of https://github.com/tesseract-
    ocr/tesseract
  *  3dddf37 - Increase version number in VS2010
  *  60f6d6e - Update cppan.yml
  *  d869cd1 - Merge pull request #499 from amitdo/contributors
  *  5b64942 - AUTHORS - Add community contributors
  *  19978a2 - Merge pull request #498 from stweil/lstm
  *  b54894a - Fix 32 bit builds (missing _mm256_extract_epi64)
  *  addb67c - Merge pull request #496 from stweil/lstm
  *  95df572 - Fix broken cmake builds
  *  5bb97f9 - Merge pull request #495 from stweil/warn
  *  c882373 - Fix compiler warning (-Wmaybe-uninitialized)
  *  51368c8 - Fixed failed merge of memory leak
  *  14bd70d - Merge branch 'stweil-opt' Testing before pull.
  *  0169969 - Merge branch 'opt' of https://github.com/stweil/tesseract
    into stweil-opt Testing before pulling.
  *  a8cfc7e - Merge pull request #491 from stweil/lstm
  *  beb564d - lstm: Fix compilation (undeclared 'isnan')
  *  cdc2863 - Merge pull request #466 from stweil/opencl
  *  871e500 - Merge pull request #471 from ciupicri/patch-1
  *  6f302a9 - Merge pull request #489 from stweil/merge
  *  b0abed7 - add option "make training-uninstall"
  *  ac3b40d - Merge pull request #478 from stweil/w
  *  4780110 - Merge pull request #488 from stweil/conflict
  *  0c9235e - Fix typos in new LSTM code
  *  a7d2758 - opencl: Fix typo in name of local variable
  *  2fbc8cf - Fix typo in documentation
  *  a0fc432 - Fix an unfixed merge conflict
  *  9c7e99b - Merged with commit
    4ca6ba985b54065146321fa7a540d056b3ff54ca
  *  dd216f6 - Added more missing license headers
  *  5913d73 - Added missing license headers
  *  4f45940 - training: Fix compiler warnings (deprecated register
    keyword)
  *  7e90200 - Fix some compiler warnings (unused function parameters)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Nov 2016 22:17:16 +0300

tesseract (3.05.00~git20161113-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 8bff1e618ff4f14dfacd523ff0b57b944999f24f
  * Date: 1479053869
  * git changelog:
  *  8bff1e6 - Merge pull request #475 from stweil/fix
  *  4ca6ba9 - opencl: Fix type of parameter for clGetProgramInfo
  *  ec5b1bd - opencl: Fix type of parameter for clGetContextInfo
  *  a461592 - allow combination of enable/disable
  *  182ca5b - Merge pull request #470 from stweil/fix
  *  22d53e6 - Merge pull request #469 from stweil/opencl2
  *  1e60a8d - Fix crash caused by undefined value of local variable
  *  a1b9e98 - opencl: Remove unused function getNumDeviceWithEmptyScore
  *  f8bc09a - Merge pull request #467 from stweil/opencl2
  *  10886d3 - opencl: Add missing argument for L_WARNING
  *  90dad1f - opencl: Fix wrong implementation of function
    getNumDeviceWithEmptyScore
  *  8972c0e - Merge pull request #463 from stweil/opencl
  *  1a0aada - opencl: Move declaration of MORPH_BC from .h to .cpp file
  *  1dbc8c1 - Merge pull request #461 from stweil/opencl
  *  aea2022 - opencl: Clean handling of lmask32, rmask32
  *  610b2d2 - Merge pull request #459 from stweil/opencl
  *  3f959e3 - opencl: Add tiff library needed by openclwrapper
  *  44e6e87 - Merge pull request #457 from stweil/opencl
  *  ab8209c - opencl: Fix mismatched new[] / free

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 14 Nov 2016 20:58:35 +0300

tesseract (3.05.00~git20161028-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 7f57ac4a947687972915cb68498a1e4ea5e159e3
  * Date: 1477678122
  * git changelog:
  *  7f57ac4 - Merge pull request #456 from stweil/opencl
  *  f67381a - opencl: Fix compiler warning [-Wwrite-strings]
  *  bccf1c1 - opencl: Fix delete operation
  *  3ac54b9 - opencl: Fix compiler warning [-Wconversion-null]
  *  f46dfdc - Fix a padding problem in ThresholdRectToPixOCL
  *  5db7602 - Fix openCL crash at startup after device profiling
  *  299fce5 - Merge pull request #449 from stweil/leak
  *  ea786e2 - api/baseapi: Fix memory leaks at program termination
  *  6fad5fc - dict/dict: Fix memory leaks at program termination
  *  55bcfb5 - Merge pull request #443 from jimregan/genlangdata
  *  14c0549 - Merge pull request #448 from stweil/fixes
  *  421e4c9 - cutil/cutil: Fix comment (copy+paste error)
  *  da89ff9 - Merge pull request #447 from stweil/leak
  *  3eb044b - Merge pull request #446 from stweil/cov
  *  f1d3a3b - api/tesseractmain: Fix memory leak caused by exit()
  *  53c572b - ccutils/params: Fix memory leak for static variable
    global_params
  *  c7339c3 - viewer/svutil: Fix resource leak
  *  b1f03cb - classify/adaptmatch: Fix memory leak
  *  a351dae - ccutil/tessdatamanager: Fix resource leak
  *  1327551 - classify/mastertraining: Fix memory leaks
  *  963b935 - classify/adaptmatch: Fix memory leak
  *  bf334e0 - ccmain/paragraphs: Fix memory leak
  *  aa945bb - ccstruct/polyblk: Fix memory leak
  *  c12757b - viewer/svutil: Fix memory leak
  *  3458e7c - helper script to generate dawg input files from text
  *  37f568d - Update appveyor.yml

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Oct 2016 11:21:25 +0300

tesseract (3.05.00~git20161011-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 69b1a38426d193326c7e8f72fc4760195c6f4d0c
  * Date: 1476195800
  * git changelog:
  *  69b1a38 - Merge pull request #439 from stweil/warning
  *  f9ce278 - Turn off macos travis build as it fails during bootstrap.
  *  34af615 - training: Remove unnecessary const qualifiers
  *  4b6e7af - Update .travis.yml
  *  54fafc4 - improve multipage tiff processing (jbreiden patch from
    2016-03-29)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Oct 2016 17:51:40 +0300

tesseract (3.05.00~git20160929-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 57d28b2643a069fccbd8ac04b91f9f50ddfdb3fb
  * Date: 1475148401
  * git changelog:
  *  57d28b2 - Update cppan.yml
  *  5dac6f6 - Update cppan.yml
  *  8d6dbb1 - Tesseract is now tested with CPPAN on appveyor.
  *  c943fc1 - sets justification for ParagraphInfo; fixes #429

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Oct 2016 17:14:47 +0300

tesseract (3.05.00~git20160908-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: a75ab450a8cc9a2b69cf05f5c4f7a39bc44cbacc
  * Date: 1473357416
  * git changelog:
  *  a75ab45 - Merge pull request #420 from stweil/warnings
  *  a5b61e2 - ccmain: Remove unused constants
  *  fcd5f7d - textord: Remove unused constants
  *  d40b28f - textord: Remove unused constants
  *  db2a8e9 - api: Remove unused constant kBytesPerBlob
  *  5bce3f7 - classify: Remove unused constant kMinPCLengthIncrease
  *  193032a - Update CMakeLists.txt
  *  01c364d - Merge pull request #415 from stweil/warnings
  *  caffb31 - Remove unneeded 'struct' from TessBaseAPI::GetHOCRText
    (issue #414)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Sep 2016 22:57:01 +0300

tesseract (3.05.00~git20160901-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: a6871a8c91a224c224c7cb4cbccf442959b94ba6
  * Date: 1472750490
  * git changelog:
  *  a6871a8 - remove install-langs - fix #376
  *  61032d9 - set fonts_dir to system default font location. Fixes #409
  *  916897d - print text2image info to stdout instead of strerr
  *  94e21c3 - add info OSD data file is need too
  *  b14f735 - you do not need download all tessdata repository
  *  77af7cf - Merge pull request #406 from stweil/windows
  *  4708ea3 - vs2010: Fix implementation of strcasestr
  *  2660647 - Merge pull request #404 from stweil/warnings
  *  fdf950b - configure: Don't use -Wno-uninitialized for debug builds
  *  7f8bd11 - Merge pull request #402 from stweil/windows
  *  6ec1a0a - fileio: Replace assert with tprintf() and exit(1)
  *  d093ed4 - Merge pull request #401 from stweil/windows
  *  1950fec - tlog: Remove unused macro TLOG_FATAL
  *  a1a4575 - Merge pull request #6 from jimregan/gcode_issue1316
  *  0497dc0 - Merge pull request #17 from tesseract-ocr/gcode_issue1351
  *  3e53237 - Merge pull request #400 from stweil/windows
  *  1274874 - ccutil: Fix and simplify implementation of variadic macro
  *  b000dd2 - Merge pull request #398 from stweil/windows
  *  3420aca - text2image: Add linefeed to error message
  *  a1f0f36 - Merge pull request #397 from stweil/warnings
  *  34ed8dd - stringrenderer: Fix compiler warning (-Wwrite-strings)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Sep 2016 22:03:07 +0300

tesseract (3.05.00~git20160815-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 939023ffb95a10a228024bb64b9e760132966d4d
  * Date: 1471284270
  * git changelog:
  *  939023f - Merge pull request #391 from vidiecan/issue_390
  *  f06314c - Merge pull request #389 from vidiecan/issue_388
  *  b69561c - fixed #390 by introducing new rotate_image flag
  *  941e1c4 - fixes #388 by using raw bytes utf8 encoding

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Aug 2016 05:00:03 +0300

tesseract (3.05.00~git20160805-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 5610738be9455a71ba226a95d992e8655883e8f0
  * Date: 1470429478

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 06 Aug 2016 18:08:54 +0300

tesseract (3.05.00~git20160717-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 2bc4f94b71548375a6f4b4d3a783997751753d5c
  * Date: 1468766737

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 Jul 2016 18:22:51 +0300

tesseract (3.05.00~git20160708-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 669c7397aa69d7b01bbdeb1d2ea7f7e1d3d0d8ff
  * Date: 1467999863

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Jul 2016 17:53:41 +0300

tesseract (3.05.00~git20160620-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 5ca73cca26ef72d087d19e2e46cd2697590f7d98
  * Date: 1466411171

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Jun 2016 22:56:35 +0300

tesseract (3.05.00~git20160607-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 86acff5a036a90c1842ac12bb8d442b31963aee7
  * Date: 1465292184

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 11 Jun 2016 13:22:55 +0300

tesseract (3.05.00~git20160527-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 98e87d2e2279e314d880c8c92dc0b0135f086d46
  * Date: 1464359956

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 May 2016 23:18:33 +0300

tesseract (3.05.00~git20160325-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 60176fc5ae5e7f6bdef60c926a4b5ea03de2bfa7
  * Date: 1458914304

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Apr 2016 11:49:02 +0300

tesseract (3.05.00~git20160318-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 66f37f0cd329db0471b76904eff29f889da09a2f
  * Date: 1458326625

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 19 Mar 2016 11:28:28 +0300

tesseract (3.05.00~git20160304-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 8bfaf84007fb9219fd3347f67bedf05e123217f2
  * Date: 1457098508

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 04 Mar 2016 17:59:25 +0300

tesseract (3.05.00~git20160218-2) unstable; urgency=medium

  * lintian fix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Feb 2016 14:29:25 +0300

tesseract (3.05.00~git20160218-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: c35a36cb83b90b66e37213f72218239cd915c085
  * Date: 1455781680

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 19 Feb 2016 22:35:57 +0300

tesseract (3.05.00~git20160204-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: b68be4426582d90a8ad3a272c6b7e1b5a1e667fd
  * Date: 1454582662

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 05 Feb 2016 23:09:36 +0300

tesseract (3.05.00~git20160105-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 6f6953a9724aca6c9317f53b328df3bcc2126bf8
  * Date: 1452010977

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 11 Jan 2016 20:25:52 +0300

tesseract (3.05.00~git20151222-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: a361e84de216bb2ebcc60117b0f403bc259ddc9b
  * Date: 1450768845

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Dec 2015 23:20:13 +0300

tesseract (3.05.00~git20151207-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: d4e0c6459a48068254b45874c6d1d8ba837af925
  * Date: 1449499024

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 Dec 2015 11:32:30 +0300

tesseract (3.05.00~git20151125-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 198ee0a8206a7c2ca4f3b8ac4922153f8c97b486
  * Date: 1448440133

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Nov 2015 22:54:01 +0300

tesseract (3.05.00~git20151114-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 9c13a157d3c713a92d3b7e13b9c00e332324393c
  * Date: 1447498911

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Nov 2015 15:02:18 +0300

tesseract (3.05.00~git20151030-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 7089c7b38e7ad80cd626652316235f7458be80c3
  * Date: 1446234884

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 31 Oct 2015 00:00:38 +0300

tesseract (3.05.00~git20151011-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 86407964b70e51012ba79622d60a62765074e2a7
  * Date: 1444576602

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2015 13:31:08 +0300

tesseract (3.05.00~git20151002-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: dd8c12997385cf7f5961093bcd44f0396b08f96f
  * Date: 1443809411

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Oct 2015 17:31:09 +0300

tesseract (3.05.00~git20150915-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 0d61f0c05a93a4d5aa09a9ec74d7cf7a1e51a9fa
  * Date: 1442302374

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 19 Sep 2015 19:53:31 +0300

tesseract (3.05.00~git20150901-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 73b28982aacedcf400a3b1cfdfdd3028f891df25
  * Date: 1441122265

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 04 Sep 2015 22:20:58 +0300

tesseract (3.05.00~git20150814-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: bb19f2c16bc80dcaf3a1a42e22a0841d22c47189
  * Date: 1439581180

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Aug 2015 23:31:41 +0300

tesseract (3.04.00~git20150731-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 66a76a94772343582a70783a712f6248a81879ab
  * Date: 1438371883

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 31 Jul 2015 23:30:16 +0300

tesseract (3.04.00~git20150711-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 228317caa1ced217e6d264aafc901f361ecd7e90
  * Date: 1436601192

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Jul 2015 22:16:00 +0300

tesseract (3.04.00~git20150629-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: d00d833b9baee36abcae05f076f8ac97b8662958
  * Date: 1435574369

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Jul 2015 23:01:20 +0300

tesseract (3.0+svn504-1) unstable; urgency=low

  * Initial release (Closes: #123456)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 04 Oct 2010 19:11:15 +0400
